À propos d'ABBYY FormDesigner

À propos d'ABBYY FormDesigner 9.0

ABBYY FormDesigner 9.0 est une application logicielle servant à créer des formulaires lisibles par machine qui seront traités via ABBYY FlexiCapture 9.0, une application de traitement de formulaires. La conception du formulaire constitue une étape importante de la création du formulaire, car toutes les autres étapes (à savoir, la numérisation, la reconnaissance, la vérification et l'exportation) dépendent de l'exactitude du formulaire initial et de son aptitude à être traité par machine.

À la différence d'autres éditeurs tels que MS Visio, CoreIDRAW ou MS Word, ABBYY FormDesigner 9.0 a été spécifiquement développé pour permettre de créer des formulaires lisibles par machine. Malgré les nombreuses fonctionnalités offertes par les applications susmentionnées, les utilisateurs de celles-ci doivent prendre des mesures supplémentaires afin de s'assurer que leurs formulaires satisfont aux exigences relatives à la lisibilité par machine (mesurer les éléments du formulaire, contrôler leurs formes et leurs places sur le formulaire, etc...).

Le programme présente une interface simple et conviviale qui inclut des outils faciles d'utilisation mais néanmoins puissants servant à créer des éléments standards que l'on retrouve couramment sur les formulaires lisibles par machine. Cette application vous permet de créer des formulaires en noir et blanc mais également en simili détouré couleur. Les éléments de formulaire créés dans ABBYY FormDesigner 9.0 sont automatiquement conçus en tenant compte des exigences qu'implique la machine. Par ailleurs, le programme vérifie chaque formulaire créé afin de garantir sa capacité au traitement par ordinateur. Tout cela signifie que vous serez apte à créer des formulaires lisibles par machine rapidement et facilement (le programme se charge de toutes les tâches ennuyeuses pour vous).

Une fois que vous avez créé un formulaire dans ABBYY FormDesigner 9.0, vous obtenez une description de formulaire pratiquement prête à l'emploi que vous pouvez utiliser pour créer un modèle dans ABBYY FlexiCapture 9.0 (les modèles décrivent les éléments de formulaires et indiquent aux applications d'acquisition de données où chercher un type particulier d'information présent sur le formulaire, assurant ainsi une reconnaissance exacte et fiable des données entrées par le programme).

Par conséquent, ABBYY FormDesigner 9.0 réalise deux tâches : il simplifie le développement d'un formulaire et le processus de configuration d'ABBYY FlexiCapture 9.0, permettant à ABBYY FlexiCapture 9.0 de traiter des formulaires créés dans ABBYY FormDesigner 9.0 tout en minimisant l'intervention humaine.

ABBYY FormDesigner 9.0 vous permet de publier vos formulaires (c'est-à-dire de les protéger de toute modification ou édition accidentelle) mais également de les enregistrer sous différents formats d'image avant de les envoyer à l'imprimerie.


Nouveautés d'ABBYY FormDesigner 8.0

Nouveautés d'ABBYY FormDesigner 9,0

ABBYY FormDesigner 9.0 inclut les nouvelles fonctionnalités suivantes :

    Création de formulaire

  • La nouvelle boîte de dialogue Quick Start s'ouvre lorsque vous démarrez l'application. Elle vous permet de commencer à travailler avec l'application immédiatement, en vous invitant à sélectionner une commande parmi les plus utilisées : ouvrir un fichier, ouvrir un fichier à partir de la liste des fichiers récemment utilisés, créer un nouveau formulaire, créer un formulaire sur la base d'un exemple ou démarrer l'Form Creation Wizard.

  • L'Form Wizard a été amélioré et vous permet désormais de remplir le formulaire avec des éléments standard et de le prévisualiser.

  • La fonction Importer à partir d'un fichier PDF vous permet d'importer des mises en page de formulaire créées dans d'autres programmes (Adobe Acrobat Professional, Microsoft Visio, CorelDRAW, Microsoft Word) dans ABBYY FormDesigner pour être traitées ultérieurement dans ABBYY FlexiCapture.

    Édition de formulaire

  • De nouveaux boutons ont été ajoutés à la barre d'outils Outils de conception : Masquer toutes les règles et Supprimer toutes les règles.

  • De nouvelles fonctions d'édition de texte ont été ajoutées (accessibles via les menus contextuels des champs de texte) :

    - Espacement des caractères (étirer/compresser le texte horizontalement)

    - Espacement des lignes (pour les champs de texte multilignes)

    - Différentes options de formatage de texte (style, taille de police, etc.) pour un champ de texte

    Exportation de formulaire

  • Les formulaires peuvent désormais être exportés au format PDF (avec possibilité de sélectionner des options d'exportation), InfoPath et AI (Adobe Illustrator).

    Remplissage de formulaire

  • À présent, en utilisant l'interface du programme, vous pouvez distribuer le formulaire sous forme de fichier PDF ou par courrier électronique, l'enregistrer ou le publier sur votre site Web. Vous pouvez également sélectionner une méthode de réponse, et inviter ainsi les utilisateurs à soumettre les formulaires remplis par courrier électronique ou sur votre site Web. L'Assistant de distribution de formulaire vous guidera à travers toutes les étapes nécessaires à la création d'un formulaire.

  • Lorsque les formulaires remplis sont reçus par le site Web, ils sont automatiquement traités sur le serveur. Les données entrées dans un même formulaire par différents utilisateurs sont enregistrées dans un fichier CSV.

    Divers

  • Vous pouvez désormais Envoyer vos commentaires à partir de la fenêtre principale. Vos commentaires seront grandement appréciés.

Les fonctionnalités suivantes ont été ajoutées dans ABBYY FormDesigner 9.0 :

  • prise en charge des formulaires multipages ;

  • création de formulaire basée sur un exemple ;

  • création de formulaires simili détourés couleur ;

  • deux nouveaux éléments de formulaire, le tableau et le groupe d'éléments ;

  • règles d'ajustement d'élément ;

  • enregistrement d'images au format ELF ;

  • possibilité de modifier les structures de document ;

  • possibilité d'imprimer les formulaires partiellement remplis.


Installation, exécution et suppression de FormDesigner

Installation, exécution et suppression d'ABBYY FormDesigner 9.0

ABBYY FormDesigner 9.0 est installé et supprimé en même temps qu'ABBYY FlexiCapture 9.0.

Pour exécuter ABBYY FormDesigner 9.0, sélectionnez l'élément ABBYY FormDesigner 9.0 dans Démarrer/Programmes/ABBYY FlexiCapture 9.0/Outils.


Fenêtre principale de l'application

Lorsque vous lancez ABBYY FormDesigner 9.0, la fenêtre principale apparaît, avec la boîte de dialogue Quick Start. La boîte de dialogue Quick Start permet de commencer à travailler immédiatement, vous demandant de choisir parmi les commandes les plus souvent utilisées : Ouvrir un fichier, Fichiers récents, Créer un nouveau formulaire, créer un formulaire Form from template, ou lancer le Form Creation Wizard.

Afficher la fenêtre principale de l'application

La barre de menu contient les menus suivants : Fichier, Éditer, Afficher, Formulaire, Éléments, Outils et Aide.

Vous pouvez afficher/masquer les éléments d'interface en utilisant le menu Afficher.

La barre d'outils Standard contient les boutons pour les tâches les plus courantes.

La barre d'outils Outils de conception contient les boutons pour éditer les éléments du formulaire.

La barre d'outils Formatage contient les boutons et les commandes pour formater le texte.

La barre d'outils Éléments de formulaire contient les boutons pour ajouter des éléments au formulaire.

La règle est une barre marquée en unités de mesure qui intervient dans l'édition pour un positionnement exact et un alignement des éléments de formulaire.

La fenêtre formulaire affiche le formulaire actuel. Un seul formulaire ne peut être affiché à un moment donné.

Structure de document. Ce panneau affiche la hiérarchie des champs d'un document. Chaque champ possède un ou plusieurs éléments liés.

Fenêtre Propriétés. Dans cette fenêtre, vous pouvez visualiser et modifier les propriétés de l'élément sélectionné. Les onglets affichés dans cette fenêtre dépendent du type d'élément actuellement sélectionné. Pour ouvrir un onglet, cliquez sur son nom à droite.

La barre d'état affiche les informations sur l'élément actif : les coordonnées dans le coin supérieur gauche de l'élément en mm, la taille de l'élément en mm, des informations additionnelles à propos de l'élément (le type d'élément). Le type de page et la taille sont également affichés dans la barre d'état. Des informations additionnelles (nombre de cellules de caractères dans chaque ligne et colonne) sont disponibles pour les champs d'entrée, les champs de date et les champs numériques.


Personnalisation de la fenêtre principale de l'application

Vous pouvez modifier l'apparence de la fenêtre principale de l'application en sélectionnant l'élément Options… dans le menu Outils.

Afficher la boîte de dialogue Options

Option

Description

View

Interface language

Sélectionne une langue d'interface. Cette langue sera utilisée pour tous les messages de programme, titres de boîte de dialogue et éléments de menu. Pour que les changements entrent en vigueur, cliquez sur OK et relancez ABBYY FormDesigner 9.0.
Par défaut, la langue d'interface est la même que la langue sélectionnée durant l'installation.

Grille

Show grid

Affiche la grille.

L'option n'est pas cochée par défaut.

Width

Définit la largeur des carrés de la grille en mm.

La valeur par défaut est 2 mm.

Height

Définit la hauteur des carrés de la grille en mm.

La valeur par défaut est 2 mm.

Snap to grid

Magnétise le coin supérieur gauche des éléments créés sur le nœud de la grille le plus proche. Lors du déplacement d'un élément du formulaire, il sera également magnétisé sur le nœud de la grille le plus proche.

Couleur

Change la couleur des marges, des règles et l'arrière-plan du texte édité comme affiché sur l'écran. Dans le panneau Items, sélectionnez un élément et cliquez sur le rectangle de couleur en-dessous. Dans la boîte de dialogue Couleur qui apparaît, sélectionnez la couleur désirée.

Show ruler

Affiche/masque la règle.

Show margins

Affiche/masque les marges de formulaire.

Éditeur de texte

Tab width

Définit le nombre d'espaces qui seront insérés dans l'éditeur de texte lorsque vous appuyez sur la touche Tab.

Export

XFD

Format de stockage d'image en fichier xfd.

Dans la liste déroulante, sélectionnez le format dans lequel votre image de formulaire sera enregistrée lors de l'exportation vers un fichier XFD. Deux choix sont offerts :

  • EMF
  • TIFF

Image

Resolution of TIFF files

Définit une résolution pour les fichiers TIFF dans lesquels les formulaires sont exportés.


Barre de menu

La barre Menu contient les menus suivants :

  • Fichier
  • Édition
  • Affichage
  • Formulaire
  • Éléments
  • Outils
  • Aide
  • Menu local de la barre d'outils
  • Menu local Élément de formulaire


Menu Fichier

Élément | Description
New… | Ouvre la boîte de dialogue Quick Start, qui contient les commandes les plus fréquemment utilisées au démarrage de l'application : ouvrir un fichier, pour ouvrir un fichier à partir de la liste des fichiers récemment ouverts ; créer un formulaire vierge, pour créer un formulaire au moyen d'un modèle ou démarrer le Form Creation Wizard.
Open… | Ouvre un formulaire.
Save | Enregistre un formulaire.
Save As… | Enregistre un formulaire sous un nouveau nom ou enregistre un formulaire/une page comme un exemple.
Exporter vers |
Image File… | Exporte un formulaire vers un fichier image.
Separate Image Files… | Exporte un formulaire simili détouré couleur vers des fichiers images séparés : un fichier TIFF noir et blanc et un fichier TIFF couleur.
XML Form Definition… | Exporte un formulaire au format Fichiers de définition de formulaire XML (seulement pour les formulaires publiés).
PDF Form… | Exporte un formulaire ABBYY FormDesigner au format PDF (seulement pour les formulaires publiés). Vous pouvez également ajouter des boutons de réponse au formulaire : pour une réponse par courrier électronique et/ou via un site Web et définir les paramètres d'exportation.. Pour exporter votre formulaire au format PDF, ce dernier doit avoir au moins un champ modifiable.
InfoPath Form… | Exporte un formulaire ABBYY FormDesigner vers un formulaire InfoPath. Pour exporter votre formulaire vers un formulaire InfoPath, ce dernier doit avoir au moins un champ modifiable.
Adobe Illustrator File… | Exporter votre formulaire vers un fichier Adobe Illustrator.
Import from Searchable PDF file… | Importe un formulaire à partir d'un fichier PDFcréé sous un autre éditeur de présentation de formulaires.
Publish Form | Publie le formulaire.
Save Editable Copy As… | Enregistre la copie du formulaire qui peut alors être modifié.
Distribute Form… | Ouvre le Form Distribution Wizard, dans lequel vous pouvez sélectionner les paramètres d'envoi et de réception des formulaires.
Print Setup… | Ouvre la boîte de dialogue Configuration d'impression.
Print Preview | Affiche le formulaire tel qu'il sera après impression.
Print… | Ouvre la boîte de dialogue Imprimer.
Imprimer les formulaires renseignés |
With Values from Database… | Imprime les formulaires remplis avec les valeurs issues de la base de données.
With Values from File… | Imprime les formulaires remplis avec les valeurs issues d'un fichier.
Fichiers récents | Affiche la liste des fichiers récemment ouverts. Sélectionnez un des fichiers récents pour l'ouvrir.
Exit | Ferme ABBYY FormDesigner 9.0.


Menu Éditer

Élément | Description
Undo | Annule les résultats de la dernière action.
Redo | Annule les résultats de la dernière action Annuler.
Cut | Coupe une sélection (élément ou texte) et l'envoie dans le presse-papier.
Copy | Copie une sélection (élément ou texte) dans le presse-papier.
Paste | Colle le contenu du presse-papier dans le formulaire.
Delete | Supprime les éléments sélectionnés. Les champs se trouvant dans la structure du document et liés à ces éléments sont également supprimés.
Duplicate | Crée un double des éléments sélectionnés.
Edit Text | Vous permet de modifier le texte qui se trouve à l'intérieur de l'élément de texte ou de champ de coche sélectionné.
Rename Field | Renomme le champ sélectionné.
Delete Block | Supprime les éléments sélectionnés sans supprimer les champs qui leur sont liés dans la structure du document.
Select All | Sélectionne tous les éléments présents sur le formulaire actuel.
Select by Type… | Ouvre la boîte de dialogue Sélectionner par type, dans laquelle vous pouvez définir les types d'éléments à sélectionner.


Menu Affichage

Élément | Description
Barres d'outils |
Standard | Affiche/masque la barre d'outils Standard.
Formatting | Affiche/masque la barre d'outils Formatage.
Form Elements | Affiche/masque la barre d'outils ?Éléments du formulaire.
Design Tools | Affiche/masque la barre d'outils Outils de conception.
Large Toolbar Buttons | Agrandit/rétrécit les boutons situés sur les barres d'outils.
Status Bar | Affiche/masque la barre d'état. La Status Bar sert à afficher des explications sur les boutons et les éléments de menu, la taille, la position et le type de l'élément sélectionné, de même que les propriétés de la page.
Document Structure | Affiche/masque le volet de structure de document .
Element Properties | Affiche/masque la fenêtre des propriétés de l'élément.
Grid | Affiche/masque la grille.
Main ruler | Affiche/masque la règle principale.
Margins | Affiche/masque les marges.
Snap to Grid | Magnétise le coin supérieur gauche des éléments créés sur le nœud de la grille le plus proche. Lors du déplacement d'un élément du formulaire, il sera également magnétisé sur le nœud de la grille le plus proche.
Snap Align Rulers to Elements | Permet d'activer ou de désactiver la reliure automatique des éléments aux règles. Lorsque ce mode est désactivé, lors du déplacement d'une règle dans le formulaire, elle sera automatiquement reliée aux éléments suffisamment proches.
Show Align Rulers | Affiche/masque les règles d'alignement.
Delete All Align Rulers | Supprime toutes les règles d'alignement.
Zoom |
200% | Permet de zoomer sur la fenêtre Formulaire à 200 %.
150% | Permet de zoomer sur la fenêtre Formulaire à 150 %.
100% | Permet de zoomer sur la fenêtre Formulaire à 100 %.
75% | Permet de zoomer sur la fenêtre Formulaire à 75 %.
50% | Permet de zoomer sur la fenêtre Formulaire à 50 %.
Fit to Width | Adapte l'image à la largeur de la fenêtre Formulaire.
Fit to Height | Adapte l'image à la hauteur de la fenêtre Formulaire.
Best Fit | Adapte l'image entière à la fenêtre Formulaire.
Zoom Out | Divise l'image du formulaire.
Zoom In | Double l'image du formulaire.


Menu formulaire

Élément de menu | Description
Form Properties… | Ouvre la boîte de dialogue Form Properties.
Ajouter une page |
Empty | Ajoute une page vide à un formulaire.
Based on Page Sample… | Ajoute une page à partir d'un exemple.
Delete Page | Supprime la page en cours.
Page Properties… | Ouvre la boîte de dialogue Page Settings.


Menu des éléments

Élément | Description
Dessiner un élément |
Selection Tool | Sélectionne un outil dans la barre d'outils ?Éléments de formulaire ou un élément dans le formulaire.
Entry Field | Sélectionne l'outil Entry Field qui permet d'ajouter un élément de champ d'entrée au formulaire.
Date Field | Sélectionne l'outil Date Field qui permet d'ajouter un élément de champ date au formulaire.
Numeric Field | Sélectionne l'outil Numeric Field qui permet d'ajouter un élément de champ numérique au formulaire.
Checkmark Field | Sélectionne l'outil Checkmark Field qui permet d'ajouter un élément de champ de coche au formulaire.
Group of Elements | Sélectionne l'outil Group of Elements qui permet d'ajouter un groupe d'éléments au formulaire.
Table | Sélectionne l'outil Table qui permet d'ajouter un élément de tableau au formulaire.
Vertical Separator | Sélectionne l'outil Vertical Separator qui permet d'ajouter un séparateur vertical au tableau.
Horizontal Separator | Sélectionne l'outil Horizontal Separator qui permet d'ajouter un séparateur horizontal au tableau.
Delete Separator | Sélectionne l'outil Delete Separator qui permet de supprimer un séparateur du tableau.
Vertical Ruler | Sélectionne l'outil Vertical Ruler qui permet d'ajouter une règle verticale au formulaire.
Horizontal Ruler | Sélectionne l'outil Horizontal Ruler qui permet d'ajouter une règle horizontal au formulaire.
Text | Sélectionne l'outil Text qui permet d'ajouter un élément de texte au formulaire.
Line Separator | Sélectionne l'outil Line Separator qui permet d'ajouter un élément de séparateur de lignes au formulaire.
Frame | Sélectionne l'outil Frame qui permet d'ajouter un élément de cadre au formulaire.
Picture | Sélectionne l'outil Picture qui permet d'ajouter un élément d'image au formulaire.
Anchor | Sélectionne l'outil Anchor qui permet d'ajouter un élément d'ancre au formulaire.
Identifier | Sélectionne l'outil Identifier qui permet d'ajouter un élément d'identificateur au formulaire.
Filling Template… | Permet d'ajouter un exemple renseigné au formulaire.
Aligner |
Left | Permet d'aligner les éléments sélectionnés au bord gauche du dernier élément sélectionné.
Center Horizontally | Permet de centrer les éléments sélectionnés par rapport au centre du dernier élément sélectionné sans modifier leur position verticale.
Right | Permet d'aligner les éléments sélectionnés au bord droit du dernier élément sélectionné.
Top | Permet d'aligner les éléments sélectionnés au bord supérieur du dernier élément sélectionné.
Center Vertically | Permet de centrer les éléments sélectionnés par rapport au centre du dernier élément sélectionné sans modifier leur position horizontale.
Bottom | Permet d'aligner les éléments sélectionnés au bord inférieur du dernier élément sélectionné.
To Grid | Permet d'aligner les coins supérieurs gauche de tous les éléments sélectionnés aux nœuds de la grille les plus proches.
Space Evenly Across | Permet d'espacer horizontalement les éléments sélectionnés de façon homogène dans la page.
Space Evenly Down | Permet d'espacer verticalement les éléments sélectionnés de façon homogène dans la page.
Taille |
Make Same Width | Permet de créer une largeur pour tous les éléments sélectionnés identique à la largeur du dernier élément sélectionné.
Make Same Height | Permet de créer une hauteur pour tous les éléments sélectionnés identique à la hauteur du dernier élément sélectionné.
Make Same Width and Height | Permet de créer une hauteur et une largeur pour tous les éléments sélectionnés identiques à la hauteur et à la largeur du dernier élément sélectionné.
Size to Grid | Permet d'étendre les bordures de l'élément sélectionné jusqu'aux lignes de la grille les plus proches.
Size to Fit | Permet d'étendre ou de réduire les bordures de l'élément sélectionné pour les adapter à la taille des données qu'il contient.
Bring to Front | Permet de déplacer les éléments sélectionnés vers l'avant-plan.
Send to Back | Permet de déplacer les éléments sélectionnés vers l'arrière-plan.
Merge | Permet de fusionner les éléments sélectionnés dans le formulaire.
Split | Permet de segmenter les éléments sélectionnés dans le formulaire.
Add to Merged Elements | Permet d'ajouter des éléments aux éléments précédemment fusionnés. Les éléments à ajouter et les éléments précédemment fusionnés doivent être sélectionnés.


Menu Outils

Élément | Description
Check Form | Vérifie si le formulaire est lisible par machine.
Options… | Ouvre la boîte de dialogue Options dans laquelle vous pouvez modifier l'affichage de la fenêtre principale et les paramètres d'exportation.


Menu Aide

Élément | Description
Help Topics | Ouvre l'aide d'ABBYY FormDesigner.
Technical Support | Ouvre la page Support technique du fichier d'aide
Send feedback… | Permet d'envoyer des commentaires sur ABBYY FormDesigner à ABBYY. La page de la société s'ouvre et vous y trouverez un formulaire de commentaires sur ABBYY FormDesigner et ABBYY FlexiCapture.
About… | Ouvre la fenêtre About ABBYY FormDesigner 9.0 qui contient des informations succinctes sur le programme.


Menu local de la barre d'outils

Menu contextuel de la barre d'outils

Élément | Description
Standard | Affiche/masque la barre d'outils Standard.
Formatting | Affiche/masque la barre d'outils Formatage.
Form Elements | Affiche/masque la barre d'outils Éléments du formulaire.
Design Tools | Affiche/masque la barre d'outils Outils de conception.
Large Toolbar Buttons | Agrandit/rétrécit les boutons situés sur les barres d'outils.
Options… | Ouvre la boîte de dialogue Options.


Menu local Élément de formulaire

Menu contextuel Élément de formulaire

Élément | Description
Size to Fit | Développe ou réduit les bords de l'élément sélectionné pour les adapter à la taille qu'occupent les données à l'intérieur.
Cut | Coupe une sélection (élément ou texte) et l'envoie dans le presse-papier.
Copy | Copie une sélection (élément ou texte) dans le presse-papier.
Paste | Colle le contenu du presse-papier dans le formulaire.
Delete | Supprime les éléments sélectionnés. Les champs se trouvant dans la structure du document et liés à ces éléments sont également supprimés.
Delete Block | Supprime les éléments sélectionnés sans supprimer les champs qui leur sont liés dans la structure du document.
Duplicate | Crée un double des éléments sélectionnés.
Edit Text | Vous permet de modifier le texte qui se trouve à l'intérieur de l'élément de texte ou de champ de coche sélectionné.
Bring to Front | Déplace les éléments sélectionnés au premier plan.
Send to Back | Déplace les éléments sélectionnés à l'arrière plan.
Merge | Fusionne les éléments sélectionnés.
Split | Scinde les éléments sélectionnés.
Properties… | Affiche/masque le panneau des propriétés de l'élément.
Page Properties… | Ouvre la boîte de dialogue Page Settings.


Barres d'outils

Il y a quatre barres d'outils dans ABBYY FormDesigner 9.0 : Standard, Outils de conception, Mise en forme et Éléments de formulaire.

Vous pouvez afficher/masquer une barre d'outils en la sélectionnant/désélectionnant dans Afficher>Barres d'outils ou en sélectionnant la commande appropriée dans le menu contextuel (faites un clic droit sur une barre d'outils pour afficher son menu contextuel).

Les barres d'outils contiennent des boutons qui offrent un accès rapide aux outils et aux commandes du programme. Les mêmes commandes sont accessibles par les menus correspondants ou les raccourcis clavier.

Vous pouvez personnaliser la taille des boutons de la barre d'outils. Par défaut, les boutons sont de petite taille. Pour modifier la taille des boutons, sélectionnez Afficher>Barres d'outils>Large Toolbar Buttons.

Pour savoir quel effet produit un bouton, laissez le curseur sur le bouton jusqu'à ce qu'une bulle d'aide apparaisse.


Barre d'outils standard

Sur la barre d'outils Standard, vous trouverez des boutons pour lancer les outils standard et effectuer les actions standard, comme créer un nouveau formulaire ou ouvrir un formulaire existant, annuler ou rétablir des actions précédents, etc. Cliquez sur un bouton pour effectuer la commande correspondante.

Afficher la barre d'outils standard

Boutons sur la barre d'outils Standard :

Bouton | Description
Nouveau | Crée un formulaire avec des éléments de base.
Ouvrir… | Ouvre un formulaire.
Enregistrer | Enregistre un formulaire.
Prévisualisation d'impression | Affiche le formulaire tel qu'il sera après impression.
Imprimer | Imprime un formulaire.
Couper | Coupe une sélection et l'envoie dans le Presse-papiers.
Copier | Copie une sélection vers le Presse-papiers.
Coller | Colle le contenu du Presse-papiers dans le formulaire.
Annuler | Annule les résultats de la dernière action.
Rétablir | Annule les résultats de la dernière action Annuler.
Zoom arrière | Réduit la taille de l'image par deux.
Zoom avant | Double la taille de l'image.
Échelle | Change l'échelle de l'image.
Distribuer le formulaire | Ouvre le Form Distribution Wizard (pour les formulaires publiés uniquement).


Barre d'outils Outils de conception

Sur la barre d'outils Outils de conception, vous trouverez des boutons pour modifier les éléments de formulaire. Cliquez sur un bouton pour lancer l'outil de conception correspondant.

Afficher la barre d'outils Outils de conception

Boutons sur la barre d'outils Outils de conception :

Bouton | Description
Afficher la grille | Affiche/masque la grille.
Afficher la règle principale | Affiche/masque la règle principale.
Magnétiser | Magnétise le coin supérieur gauche des éléments créés sur le nœud de la grille le plus proche. Lors du déplacement d'un élément du formulaire, il sera également magnétisé sur le nœud de la grille le plus proche.
Aligner à gauche | Permet d'aligner les éléments sélectionnés au bord gauche du dernier élément sélectionné.
Centrer horizontalement | Permet de centrer les éléments sélectionnés par rapport au centre du dernier élément sélectionné sans modifier leur position verticale.
Aligner à droite | Permet d'aligner les éléments sélectionnés au bord droit du dernier élément sélectionné.
Aligner en haut | Permet d'aligner les éléments sélectionnés au bord supérieur du dernier élément sélectionné.
Centrer verticalement | Permet de centrer les éléments sélectionnés par rapport au centre du dernier élément sélectionné sans modifier leur position horizontale.
Aligner en bas | Permet d'aligner les éléments sélectionnés au bord inférieur du dernier élément sélectionné.
Aligner à la grille | Permet d'aligner les coins supérieurs gauche de tous les éléments sélectionnés aux nœuds de la grille les plus proches.
Espacer de façon homogène horizontalement | Permet d'espacer horizontalement les éléments sélectionnés de façon homogène dans la page.
Espacer de façon homogène verticalement | Permet d'espacer verticalement les éléments sélectionnés de façon homogène dans la page.
Même hauteur | Permet de créer une hauteur pour tous les éléments sélectionnés identique à la hauteur du dernier élément sélectionné.
Même largeur | Permet de créer une largeur pour tous les éléments sélectionnés identique à la largeur du dernier élément sélectionné.
Même hauteur et même largeur | Permet de créer une hauteur et une largeur pour tous les éléments sélectionnés identiques à la hauteur et à la largeur du dernier élément sélectionné.
Ajuster à la grille | Permet d'étendre les bordures de l'élément sélectionné jusqu'aux lignes de la grille les plus proches.
Fusionner | Permet de fusionner les éléments sélectionnés dans le formulaire.
Segmenter | Permet de segmenter les éléments sélectionnés dans le formulaire.
Ajouter aux éléments fusionnés | Permet d'ajouter des éléments aux éléments précédemment fusionnés. Les éléments à ajouter et les éléments précédemment fusionnés doivent être sélectionnés.
Amener vers l'avant | Permet de déplacer les éléments sélectionnés vers l'avant-plan.
Envoyer vers l'arrière | Permet de déplacer les éléments sélectionnés vers l'arrière-plan.
Magnétiser les règles d'alignement aux éléments | Permet d'activer ou de désactiver la reliure automatique des éléments aux règles. Lorsque ce mode est désactivé, lors du déplacement d'une règle dans le formulaire, elle sera automatiquement reliée aux éléments suffisamment proches.
Afficher toutes les règles | Affiche/masque toutes les règles.
Règle verticale | Crée une règle verticale.
Règle horizontale | Crée une règle horizontale.
Supprimer toutes les règles | Supprime toutes les règles.


Barre d'outils Formatage

Dans la barre d'outils Formatage, vous trouverez des boutons permettant de formater du texte sur le formulaire. Cliquez sur un bouton pour choisir l'outil de formatage correspondant.

Sélectionnez le texte que vous souhaitez formater, puis sélectionnez un instrument sur la barre d'outils en cliquant sur le bouton correspondant.

Pour voir la barre d'outils Formatage

Boutons de la barre d'outils Formatage :

Bouton | Description
Police | Modifie la police du texte à l'intérieur des éléments sélectionnés.
Taille de police | Modifie la taille de la police à l'intérieur des éléments sélectionnés.
Gras | Met le texte sélectionné en gras.
Italique | Met le texte sélectionné en italique.
Souligné | Souligne le texte sélectionné.
Aligner à gauche | Aligne le texte figurant dans l'élément sélectionné sur le bord gauche de l'élément.
Centrer horizontalement | Centre horizontalement le texte figurant dans l'élément sélectionné.
Aligner à droite | Aligne le texte figurant dans l'élément sélectionné sur le bord droit de l'élément.
Justifier | Justifie le texte figurant dans l'élément sélectionné.
Aligner en bas | Aligne le texte figurant dans l'élément sélectionné sur le bord inférieur de l'élément.
Centrer verticalement | Centre verticalement le texte figurant dans l'élément sélectionné.
Aligner en haut | Aligne le texte figurant dans l'élément sélectionné sur le bord supérieur de l'élément.
À gauche du texte | Place le champ de coche à gauche du texte d'explication.
Au-dessus du texte | Place le champ de coche au-dessus du texte d'explication.
À droite du texte | Place le champ de coche à droite du texte d'explication.
En-dessous du texte | Place le champ de coche en-dessous du texte d'explication.

Remarque : Vous pouvez acheter des polices supplémentaires et la prise en charge des polices multilingues sur www.paratype.com/shop/.


Barre d'outils Éléments de formulaire

Dans la barre d'outils Éléments de formulaire, vous trouverez des boutons permettant d'ajouter de nouveaux éléments au formulaire. Cliquez sur un bouton pour ajouter l'élément correspondant au formulaire.

M'afficher la barre d'outils Éléments de formulaire

Boutons de la barre d'outils Éléments de formulaire :

Bouton | Description
Outil de sélection | Sélectionne un outil dans la barre d'outils ou un élément sur le formulaire.
Champ d'entrée | Ajoute un élément champ d'entrée au formulaire.
Champ de date | Ajoute un champ de date au formulaire.
Champ numérique | Ajoute un champ numérique au formulaire.
Champ de coche | Ajoute un élément champ de coche au formulaire.
Tableau | Ajoute un élément tableau au formulaire.
Séparateur vertical | Ajoute un séparateur vertical à un tableau.
Séparateur horizontal | Ajoute un séparateur horizontal à un tableau.
Supprimer un séparateur | Supprime un séparateur du tableau.
Groupe d'éléments | Ajoute un groupe d'éléments.
Texte | Ajoute un élément texte au formulaire.
Séparateur de ligne | Ajoute un élément séparateur de ligne au formulaire.
Cadre | Ajoute un élément cadre au formulaire.
Image | Ajoute un élément image au formulaire.
Ancre | Ajoute un élément ancre au formulaire.
Identificateur | Ajoute un élément identificateur au formulaire.


Utilisation d'ABBYY FormDesigner 9.0

Cette section contient des informations sur les fonctionnalités d'ABBYY FormDesigner.

Sommaire

  • Création d'un formulaire

  • Propriétés du formulaire

  • Structure de document

  • Ajout, modification et suppression d'éléments de formulaire

  • Sélection et déplacement d'éléments de formulaire

  • Enregistrement et publication de formulaire ; vérification de la lisibilité par machine d'un formulaire

  • Exportation d'un formulaire

  • Distribution d'un formulaire

  • Impression d'un formulaire

  • Impression de formulaires partiellement remplis


Création, enregistrement et ouverture d'un formulaire

Création d'un formulaire

La boîte de dialogue Quick Start s'ouvre lorsque vous lancez l'application ou lorsque vous sélectionnez FichierNew… À partir de là, vous créez un nouveau formulaire depuis le début (soit vide, soit doté d'éléments de base), créez un formulaire à partir d'un exemple ou utilisez l'Form Creation Wizard, qui vous guidera à travers toutes les étapes du processus de création de formulaire. Une fois que l'assistant a fini de créer le formulaire, vous n'aurez qu'à ajouter les éléments de formulaire requis (à l'aide de la barre d'outils Éléments de formulaire) et enregistrer votre formulaire.

Pour plus d'informations, veuillez consulter la section Création d'un formulaire.

Enregistrement d'un formulaire

Pour enregistrer un formulaire, sélectionnez les commandes standard Save ou Save As… dans le menu Fichier.

Ouverture d'un formulaire

Pour ouvrir un formulaire :

  • Sélectionnez l'élément Open… dans le menu Fichier, ou

  • Cliquez sur l'icône Ouvrir dans la barre d'outils Standard, ou

  • Appuyez sur CTRL+O.


Publier un formulaire

Lors de la publication d'un formulaire, vous lui attribuez l'état Publié, ce qui empêche de modifier le formulaire. Parallèlement, la lisibilité par machine du formulaire sera vérifiée et le formulaire se verra assigner un numéro d'identification unique.

Pour publier un formulaire, sélectionnez Publish Form dans le menu Fichier.

Les formulaires publiés sont en lecture seule. Pour réaliser des modifications dans un formulaire publié, sélectionnez Save Editable Copy As… dans le menu Fichier. Vous devrez enregistrer votre formulaire sous un autre nom avant de pouvoir modifier sa conception.

Pour plus d'informations, reportez-vous à la rubrique Enregistrer et publier un formulaire ; vérifier la lisibilité par machine d'un formulaire.


Enregistrer un formulaire comme image

Pour enregistrer votre formulaire comme image, sélectionnez l'option Image File… (Formulaire>Exporter vers >Image File…) et dans la boîte de dialogue Save Image As qui s'affiche, sélectionnez le format d'image requis, entrez un nom pour le fichier image, et sélectionnez le dossier dans lequel il sera enregistré.

Pour plus d'informations, reportez-vous à la rubrique Exporter un formulaire vers un fichier image.


Création d'un modèle pour ABBYY FlexiCapture

ABBYY FormDesigner 9.0 apporte un grand avantage : une fois que vous avez créé un formulaire dans ABBYY FormDesigner, vous obtenez automatiquement une description de formulaire qui peut être utilisée pour créer une définition de document dans ABBYY FlexiCapture 9.0.

Pour obtenir une description pour ABBYY FlexiCapture 9.0 :

  1. Créez un formulaire dans ABBYY FormDesigner 9.0.
  2. Publiez le formulaire (Fichier>Publish Form).
  3. Exportez le formulaire publié au format de définition de document XML (Fichier>Exporter vers>XML Form Definition…). Dans la boîte de dialogue Export to XML Form Definition qui apparaît, indiquez un nom pour le fichier et parcourez les dossiers jusqu'au dossier où il sera stocké.
  4. Exécutez ABBYY FlexiCapture 9.0 et ouvrez la boîte de dialogue Modèles de documents (Projet>Définitions de documents...).
  5. Cliquez sur ImporterEnfin, sélectionnez le fichier *.xfd nouvellement créé.
Pour plus d'informations, veuillez consulter la section Exportation d'un formulaire vers un format de définition de document XML (*.xfd)


Création d'un formulaire

Le processus de création de formulaire est constitué des phases suivantes : l'analyse, la conception et l'impression.

Lors de la phase d'analyse, le concepteur doit procéder ainsi :

  1. analyser le contenu du formulaire et décider des noms des champs ainsi que de la formulation exacte des explications ;
  2. sélectionner le type de formulaire le plus approprié (formulaire en noir et blanc avec bords tramés, formulaire linéaire en noir et blanc, formulaire en simili détouré couleur, etc.) et la méthode d'impression (dans une imprimerie, avec une imprimante, à l'aide d'une machine Xerox, par publication sur Internet, etc.) ;
  3. s'assurer que le formulaire est lisible par machine.

Lors de la phase de conception, le concepteur doit procéder ainsi :

  1. créer un formulaire sur l'ordinateur ;

  2. publier le formulaire, c'est-à-dire le verrouiller pour empêcher toute modification sur la conception du formulaire (ceci assure qu'un seul et même formulaire source est utilisé pour imprimer tous les formulaires qui sont exactement les mêmes).

Lors de la phase de distribution, le formulaire est :

  1. préparé en vue de sa diffusion ;
  2. distribué en copie papier ou électroniquement.

Nouveau formulaire

Formulaires multipages

Création de formulaire à partir d'un exemple

Ajout, modification et suppression d'éléments de formulaire

Sélection et déplacement d'éléments de formulaire

Enregistrement et publication de formulaire ; vérification de la lisibilité par machine d'un formulaire

Exportation d'un formulaire

Distribution d'un formulaire

Impression d'un formulaire


Nouveau formulaire

Un nouveau formulaire peut être créé en utilisant la boîte de dialogue Quick Start (s'ouvre lorsque vous démarrez l'application), en sélectionnant Fichier>New… ou en appuyant sur la combinaison de touches Ctrl+N sur votre clavier.

La boîte de dialogue Quick Start permet de créer un nouveau formulaire en utilisant l'une des trois méthodes disponibles :

  • Créer un formulaire vierge. A droite de la boîte de dialogue, sélectionnez le formulaire que vous souhaitez créer, un formulaire vierge ou un avec des éléments de base. Un formulaire avec des éléments de base peut également être créé via le bouton Nouveau de la barre d'outils standard.
  1. Si vous sélectionnez Empty form, ABBYY FormDesigner 9.0 créera un formulaire ne comportant aucun élément. Si vous souhaitez créer un formulaire multipage, saisissez le nombre de pages requis dans le champ Number of pages.

  2. Si vous sélectionnez Form with basic elements, ABBYY FormDesigner 9.0 créera un formulaire noir et blanc comportant des éléments de base :
    ancres
    Eléments de formulaire lisible par machine utilisés pour associer un formulaire et son modèle et pour déterminer son orientation au cours du traitement.
     (quatre carrés noirs dans les coins du formulaire et un carré noir additionnel n'importe où sur le formulaire, plus tard, lors de l'édition du formulaire, vous pouvez remplacer les carrés noirs par des ancres de votre choix), élément identificateur
    Un élément d'un formulaire lisible par machine permettant au programme de traitement de formulaire d'identifier le formulaire.
     (code barres avec chiffres) et un élément de texte
    Un élément de formulaire lisible par machine contenant des descriptions et du texte explicatif, comme des noms de champs, des instructions indiquant comment remplir le formulaire, etc.
     où le titre du formulaire devrait être situé.
    • Créer un formulaire basé sur un modèle de formulaire. A droite de la boîte de dialogue, sélectionnez le fichier *.dtf que vous souhaitez utiliser comme modèle pour le nouveau formulaire. Par défaut, les modèles de formulaire sont sauvegardés dans ?:\Documents and Settings\<nom d'utilisateur>\My Documents\Templates\.
    • Créer un formulaire en utilisant l'Assistant de création de formulaire.
    1. Spécifiez les propriétés de page de formulaire, à savoir la taille de page et l'orientation.
    2. Spécifiez le type de votre formulaire (noir et blanc, à fond gris, à fond de couleur), la taille de l'arrière-plan (pour les formulaires avec arrière-plans : la page entière ou les marges intérieures uniquement) et le type d'ancre.
    3. Sélectionnez les éléments de mise en page du formulaire. Vous pouvez ajouter un titre (fournir le texte de titre), un identificateur (spécifier son type et sa position) et un modèle (sélectionner la langue).
    4. Ajouter des éléments standard au formulaire à partir de la liste : prénom, nom, informations de contact. A droite de la boîte de dialogue, vous verrez un aperçu de votre formulaire. Pour ajouter/effacer un élément, utilisez les boutons >>/<<.

      Pour quitter l'Assistant, cliquez sur Terminer. Le formulaire créé sera automatiquement ouvert dans la fenêtre principale. Vous pourrez alors l'éditer et l'enregistrer.

Paramètres de formulaire


Formulaires multipages

Dans ABBYY FormDesigner 9.0, vous pouvez créer des formulaires multipages comportant plusieurs pages. Pour chaque page, vous devez indiquer un nom et un nombre de ses copies dans le formulaire. Une description de formulaire multipage est exportée au format XFD et peut ensuite être utilisée dans ABBYY FlexiCapture 9.0 pour créer une définition de document multipage.

Création d'un formulaire multipage

Vous pouvez créer un formulaire multipage en fonction d'un exemple de formulaire.

Ajout de pages

De nouvelles pages peuvent être ajoutées à n'importe quel type de formulaire. Pour ajouter une nouvelle page, sélectionnez Formulaire>Ajouter une page ou faites un clic droit sur le nom de la page en bas du formulaire que vous êtes en train de créer. Vous pouvez ajouter une page vierge ou bien une page issue d'un exemple.

Une page peut être répétée plusieurs fois dans un formulaire. Vous pouvez définir les nombres maximum et minimum d'apparition d'une page dans la boîte de dialogue Page Settings (Formulaire>Page Properties…). Cette boîte de dialogue vous permet aussi de spécifier un nom pour la page actuelle.

Exportation de formulaires multipages

Les images de formulaires multipages peuvent être exportées dans n'importe quel format d'image pris en charge. Il vous est possible d'enregistrer chaque page dans un fichier d'image séparé ou d'enregistrer toutes les pages dans un seul fichier d'image.


Création de formulaires à partir d'un exemple

Vous pouvez utiliser des exemples pour créer des formulaires ou des pages de formulaires.

Pour créer un exemple de formulaire (ou de page) :

  1. Créez un formulaire (ou une page) dans ABBYY Form Designer
  2. Sélectionnez Fichier>Save As…
  3. Dans la liste déroulante Enregistrer sous type, sélectionnez Fichier exemple de formulaire ou Fichier exemple de page
  4. Cliquez sur Enregistrer

Par défaut, les exemples de formulaire sont enregistrés dans ?:\Documents and Settings\<Nom d'utilisateur>\Mes Documents\Templates\.

Les exemples de formulaire sont des fichiers binaires avec l'extension *.dtf. Les exemples de pages sont enregistrés au format *.ptf, qui est une version modifiée du format *.fdd.

Pour créer un formulaire sur la base d'un exemple de formulaire, sélectionnez Based on form sample dans l'Assistant de création de formulaire.

Pour ajouter de nouvelles pages à un formulaires multi-pages sur la base d'un exemple de page, sélectionnez Formulaire>Ajouter une page>Based on Page Sample….


Paramètres de formulaire

Les propriétés principales d'un formulaire peuvent être visualisées dans la boîte de dialogue Form Properties (Formulaire>Form Properties…).

Afficher la boîte de dialogue Form Properties
Élément | Description
Author | Le nom de la personne qui a créé le formulaire.
Status | État du formulaire : Ebauche, si des changements sont permis sur le formulaire ; Publié, si le formulaire est en lecture seule.
Date published | La date de publication du formulaire.
Form identifier | La valeur de l'identificateur de formulaire.
File | Le chemin d’accès au fichier contenant le formulaire.

Paramètres de page de formulaire

Les paramètres de page déterminent la taille de la page, son orientation, ses alinéas et le style. Pour modifier les paramètres d'une page, sélectionnez Formulaire>Page Properties… ou cliquez avec le bouton droit de la souris sur la page et sélectionnez Page Properties… dans le menu contextuel.

Afficher la boîte de dialogue Page Settings

Élément

Description

General

Name

Définit le nom d'une page.

Min occurs

Définit le nombre minimum d'occurrences de la page actuelle dans le formulaire.

Max occurs

Définit le nombre maximum d'occurrences de la page actuelle dans le formulaire.

Page identifier

Affiche la valeur de l'identificateur de page.

Size

Page Size

Sélectionnez l'une des tailles de page standard dans la liste déroulante (A3, A4 ou A5) ou définissez votre propre taille de page personnalisée. Pour définir votre propre taille de page, sélectionnez l'élément Taille personnalisée dans la liste et spécifiez la largeur et la hauteur requise dans les champs correspondants.

Width

Définit la largeur de page.

Height

Définit la hauteur de page.

Orientation

Portrait

Définit l'orientation de page portrait.

Landscape

Définit l'orientation de page paysage.

Marges

Top

Définit la largeur de la marge supérieure.

Bottom

Définit la largeur de la marge inférieure.

Left

Définit la largeur de la marge de gauche.

Right

Définit la largeur de la marge de droite.

Color

Style

Définit le style de formulaire :

  • Formulaire simili détouré gris
  • Formulaire noir et blanc
  • Formulaire simili détouré orange
  • Formulaire simili détouré rouge
  • Formulaire simili détouré vert

Arrière-plan de page*

Color*

Sélectionne une couleur d'arrière-plan de formulaire à partir de la liste déroulante.

Remarque : La couleur ne peut être sélectionnée que pour les formulaires simili détouré de couleur. Le blanc est la couleur par défaut pour les formulaires noir et blanc.

Color*

Utilisez cette liste pour sélectionner la zone couverte par la couleur d'arrière-plan. Deux choix sont offerts :

  • Page entière (toute la page sera remplie sauf les éléments de formulaire).
  • Marges intérieures (la page sera remplie mais les marges et les éléments de formulaire seront laissés en blanc).

* Cette propriété ne peut être définie que pour les formulaires en simili détouré.


Ajout, modification et suppression d'éléments de formulaire

Une fois un nouveau formulaire créé, vous pouvez ajouter des éléments au formulaire et les modifier.

Conseil
Prenez soin de discuter avec vos clients de la conception et du contenu des formulaires avant d'y ajouter des éléments.

Ordre recommandé pour ajouter des éléments dans le formulaire :

  1. définition des marges
  2. ajout de marques de référence (ancres)
  3. ajout d'autres éléments de formulaire

Dans le cas d'un formulaire lisible par machine, il doit comporter des marges le long de chacun de ses quatre côtés. La largeur de la marge par défaut sera de 10 mm. Vous pouvez modifier la largeur par défaut dans la boîte de dialogue Page Settings (Formulaire>Page Properties…>Size).

Les marges apparaissent à l'écran sous forme de lignes pointillées. Si vous souhaitez que les marges s'affichent sur le formulaire, sélectionnez l'option Show margins dans l'onglet View de la boîte de dialogue Options (Outils>Options…).

Vous pouvez spécifier les propriétés de chaque élément.

Ancre

Texte

Champ d'entrée

Champ de date

Champ numérique

Champ de coche

Séparateur de ligne

Cadre

Image

Identificateur de formulaire

Tableau

Groupe d'éléments


Structure de document

Lorsque vous ajoutez des éléments à un formulaire, ABBYY FormDesigner 9.0 compile automatiquement une structure de document : une hiérarchie de champs de formulaire liés à un ou plusieurs éléments de l'image du formulaire. Vous pouvez modifier la structure d'un document et lier des éléments aux champs de type adéquat.

Les structures de documents sont enregistrées et exportées en tant que parties de fichiers XFD.

Affichage de la structure du document

Pour afficher la structure du document actuel, sélectionnez Afficher>Document Structure. La structure des champs présents dans le formulaire actuel s'affiche dans le volet situé à droite. Vous pouvez ajouter de nouveaux champs ou bien supprimer, renommer ou déplacer les champs déjà existants. Pour utiliser des champs, faites un clic droit sur un champ puis sélectionnez un élément du menu contextuel (Ajouter un champ, Delete Field, Rename Field). Pour déplacer les champs dans la hiérarchie, appuyez sur CTRL+flèche HAUT/BAS ou bien sélectionnez Move Field Up/Move Field Down. Si le champ présente des éléments qui lui sont liés, vous ne pouvez le déplacer que dans les limites de son niveau actuel dans la hiérarchie. Autrement, vous pouvez également déplacer un champ d'un groupe à un autre.

Ajout de nouveaux champs

Lorsque vous ajoutez un nouvel élément à un formulaire, ABBYY FormDesigner 9.0 crée automatiquement un nouveau champ dans la structure de document qui est du même type que l'élément nouvellement créé. Pour créer un nouveau champ manuellement, sélectionnez Ajouter un champ puis sélectionnez un type pour votre nouveau champ.

Liaison d'éléments de formulaire à des champs

Lorsque vous ajoutez un nouvel élément, ABBYY FormDesigner 9.0 le lie automatiquement au champ de la structure de document créée automatiquement pour cet élément. Pour lier un élément à un autre champ :

  • sélectionnez les éléments requis sur l'image du formulaire ;
  • faites un clic droit sur l'élément puis sélectionnez Properties… dans le menu contextuel ;
  • dans la boîte de dialogue Element Properties, cliquez sur l'onglet Linked Field puis sélectionnez un champ dans la liste déroulante. Vous ne pourrez choisir que parmi les champs de type correspondant à l'élément sélectionné. Si un élément fait partie d'un groupe, il ne peut être lié qu'aux champs qui appartiennent au champ de groupe correspondant.

Remarque : Les noms des champs auxquels aucun élément n'est lié sont affichés en italique dans le volet Structure de document.

Suppression de champs et d'éléments

Pour supprimer un champ de la structure de document, sélectionnez le champ souhaité puis appuyez sur Supprimer ou faites un clic droit sur l'élément souhaité puis sélectionnez Delete dans le menu contextuel.

Lorsqu'un élément est supprimé, le champ qui lui est lié l'est également, à moins que d'autres éléments ne lui soient liés. Pour supprimer un élément sans supprimer le champ correspondant, appuyez sur MAJ+SUPPR ou sélectionnez la commande Delete Block à partir du menu Éditer, ou bien faites un clic droit sur l'élément puis sélectionnez la commande Delete Block dans le menu contextuel.


Ancres

Uneancre est un élément de formulaire lisible par machine utilisé pour associer un formulaire et son modèle et pour déterminer son orientation au cours du traitement.

L'ajout d'ancres à un formulaire constitue une étape importante dans la conception des formulaires.

ABBYY FormDesigner 9.0 permet d'ajouter deux types d'ancres aux formulaires : carrés noirs et coins.
Type | Description
Carré noir | L'ancre a la forme d'un carré.
Coin | L'ancre a la forme d'un coin.

Un seul type d'ancre peut être utilisé dans un formulaire. Lorsque vous précisez le type d'ancre à utiliser dans le formulaire, vous devez également en définir les propriétés :

  • Taille : la longueur de chaque côté du carré noir ou la longueur de chaque côté du coin
  • Largeur des lignes : la largeur de chaque côté du coin (ce paramètre n'est pas applicable aux carrés noirs)

Ajout d'un élément ancre

Modification d'un élément Ancre

Suppression d'un élément Ancre


Ajout d'un élément ancre

Vous pouvez ajouter une ancre à votre formulaire. La taille de l'ancre est définie par l'utilisateur.

Pour ajouter une ancre :

  1. Sur la barre d'outils Éléments de formulaire, sélectionnez l'outil Ancre.
  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter l'ancre, maintenez enfoncé le bouton gauche de la souris puis faites glisser la souris en diagonale. Un rectangle apparaîtra à l'écran. L'ancre (sur fond blanc) sera placée dans le coin supérieur gauche du rectangle une fois la souris relâchée.

Remarque : Vous pouvez également créer un élément avec un simple clic de la souris : une fois que vous avez sélectionné l'outil requis, cliquez simplement là où vous voulez que l'élément soit ajouté dans le formulaire. La taille d'élément par défaut sera utilisée. Pour disposer plusieurs éléments du même type sur votre formulaire, maintenez enfoncée la touche CTRL puis cliquez aux différents endroits où vous souhaitez positionner les éléments.

Le type d'ancre par défaut ajouté à chaque nouveau formulaire et pourvu d'éléments de base est le carré noir. Si vous souhaitez changer le type d'ancre en coin, faites un clic droit sur l'ancre puis sélectionnez Propriétés dans le menu contextuel. Dans la boîte de dialogue qui s'ouvre, modifiez le type de l'ancre.


Modification d'un élément Ancre

Les propriétés d'ancre suivantes seront appliquées au formulaire en entier : Type, Size et Line width (pour les coins).

Pour chaque ancre, les propriétés suivantes sont indiquées : position, taille et type. Les propriétés d'une ancre ne dépendent pas du type de formulaire.

Vous pouvez modifier les propriétés de l'élément Ancre dans la fenêtre Element Properties située dans le coin inférieur droit de la fenêtre principale. La fenêtre Element Properties ne s'affiche que si l'option Afficher>Element Properties est sélectionnée dans le menu principal.

Élément

Description

Element

Type

Ancre.

Position et taille

Left

Définit la distance désirée entre le bord gauche du formulaire et l'élément sans retrait à gauche.

Top

Définit la distance entre le bord supérieur du formulaire et l'élément.

Width

Définit la largeur de l'élément ancre.

Height

Définit la hauteur de l'élément ancre.

Important !

Pour modifier la taille d'une Ancre, sélectionnez l'onglet Anchor.

Anchor

Type

?Dans la liste déroulante, sélectionnez le type d'ancre à utiliser pour le formulaire : carré noir ou coin.

Un formulaire ne peut contenir qu'un seul type d'ancre.

Size

Définit la taille de l'ancre :
la longueur de chaque côté du carré noir ou

la longueur de chaque côté du coin.

Line width (pour les coins seulement)

Définit la largeur des lignes des côtés des coins (de 0,3 à 1 mm).


Supprimer un élément ancre

Pour supprimer une ancre :

  1. Sélectionnez une ancre que vous souhaitez supprimer.

  2. Dans le menu Édition, sélectionnez Supprimer (ou sélectionnez l'option Supprimer sur le menu contextuel).


Texte

Le Texte est un élément de formulaire lisible par machine qui contient des descriptions et des textes d'explication, tels que les noms de champs, les instructions sur la manière de remplir le formulaire, etc.

Ajout d'un élément de texte

Modification d'un élément de texte

Suppression d'un élément de texte

Menu contextuel Élément de texte


Ajout d'un élément de texte

Pour ajouter un élément de texte :

  1. Sur la barre d'outils Éléments de formulaire, sélectionnez l'outil Texte.

  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter l'élément de texte, maintenez enfoncé le bouton gauche de la souris puis faites glisser la souris en diagonale. Relâchez la souris.

Remarque : Vous pouvez également créer un élément avec un simple clic de la souris : une fois que vous avez sélectionné l'outil requis, cliquez simplement là où vous voulez que l'élément soit ajouté dans le formulaire. La taille d'élément par défaut sera utilisée. Pour disposer plusieurs éléments du même type sur votre formulaire, maintenez enfoncée la touche CTRL puis cliquez aux différents endroits où vous souhaitez positionner les éléments.


Modification d'un élément de texte

Pour chaque élément de texte, les propriétés suivantes sont définies : taille et position de l'élément, texte, police, couleur de texte, retour automatique à la ligne, alignements horizontal et vertical, orientation et couleur d'arrière-plan de l'élément.

Vous pouvez modifier le texte d'un élément directement dans le champ de l'élément. Pour activer le mode d'édition de texte, faites un clic droit sur l'élément ou sélectionnez Texte>Edit Text dans le menu contextuel. Utilisez ensuite les raccourcis clavier pour effectuer les modifications.

Vous pouvez modifier les propriétés de l'élément de texte dans la fenêtre Element Propertiesqui se trouve dans le coin inférieur droit de la fenêtre principale. La fenêtre Element Properties s'affiche seulement si Afficher>Element Properties est sélectionné dans le menu principal.

Élément

Description

Element

Type

Texte

Groupe Position et taille

Left

 Définit la distance entre le bord gauche du formulaire et l'élément.

Top

Définit la distance entre le bord supérieur du formulaire et l'élément.

Width

 Définit la largeur de l'élément de texte.

Height

 Définit la hauteur de l'élément de texte.

Text

Text

Affiche le texte de l'élément.
Remarque : Pour modifier le texte d'un élément, cliquez sur Edit Text dans le menu contextuel de l'élément de Texte. Le texte peut être modifié directement dans le champ de l'élément.

Font

La police utilisée pour le texte à l'intérieur de l'élément.
Pour modifier la police, sa taille et son style (italique, gras, souligné, etc.), cliquez sur le bouton Change … puis, dans la boîte de dialogue Police qui apparaît, sélectionnez la police voulue ainsi que sa taille et son style.

Color

Sélectionne une couleur de texte à partir de la liste déroulante*.

Word wrap

Dispose les lignes du texte sans couper les mots.

Alignment

Horizontal

Aligne horizontalement le texte figurant dans l'élément :

  • Centre : centre le texte horizontalement

  • Gauche : aligne le texte sur le bord gauche de l'élément

  • Droite : aligne le texte sur le bord droit de l'élément

Vertical

Aligne verticalement le texte figurant dans l'élément :

  • Bas : aligne le texte sur le bord inférieur de l'élément

  • Centre : centre le texte verticalement

  • Haut : aligne le texte sur le bord supérieur de l'élément

Orientation

Définit l'orientation du texte.

  • Normal (horizontal) : le texte sera disposé horizontalement, de gauche à droite
  • Vertical (de haut en bas) : le texte sera disposé verticalement, de haut en bas
  • Vertical (de bas en haut) : le texte sera disposé verticalement, de bas en haut

Background

Same as form background

Donne à l'arrière-plan du texte la même couleur que l'arrière-plan du formulaire.

Other

Sélectionne une couleur d'arrière-plan de texte à partir de la liste déroulante*.

* La plage de couleurs disponible dépend de votre type de formulaire (noir et blanc ou couleur).

Remarque : Vous pouvez acheter des polices supplémentaires et la prise en charge des polices multilingues sur www.paratype.com/shop/.


Suppression d'un élément de texte

Pour supprimer un élément de texte :

  1. Sélectionnez l'élément de texte que vous souhaitez supprimer.
  2. Dans le menu Éditer, sélectionnez Supprimer (ou sélectionnez l'élément Supprimer dans le menu contextuel ou encore, appuyez sur la touche SUPPR du clavier).


Menu contextuel Élément de texte

Ce menu est disponible lors de l'édition du contenu d'un élément de Texte.

Élément | Description
Cut | Efface l'élément ou le texte sélectionné et le copie dans le Presse-papiers.
Copy | Copie l'élément ou le texte sélectionné dans le Presse-papiers
Paste | Colle l'élément ou le texte sélectionné depuis le Presse-papiers.
Delete | Supprime l'élément sélectionné Tout champ de structure lié sera également effacé.
Font… | Ouvre la boîte de dialogue Font.
Paragraph… | Ouvre la boîte de dialogue Paragraph properties.


Champs d'entrée

Un champ d'entrée est un élément de formulaire lisible par machine dans lequel le texte sera entré par la personne remplissant le formulaire.

M'afficher un élément champ d'entrée

Ajouter un élément champ d'entrée

Modifier un élément champ d'entrée

Supprimer un élément champ d'entrée


Ajout d'un champ d'entrée

Pour ajouter un champ d'entrée :

  1. Sur la barre d'outils Éléments de formulaire, sélectionnez l'outil Champ d'entrée.

  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter le champ d'entrée, maintenez enfoncé le bouton gauche de la souris puis faites glisser la souris en diagonale.

  3. Un rectangle apparaîtra à l'écran. Ajustez la taille de l'élément ajouté*. Relâchez la souris.

Remarque : Vous pouvez également créer un élément avec un simple clic de la souris : une fois que vous avez sélectionné l'outil requis, cliquez simplement là où vous voulez que l'élément soit ajouté dans le formulaire. La taille d'élément par défaut sera utilisée. Pour disposer plusieurs éléments du même type sur votre formulaire, maintenez enfoncée la touche CTRL puis cliquez aux différents endroits où vous souhaitez positionner les éléments.

* - Vous ne pouvez modifier que la hauteur d'un champ d'entrée si Lignes multiples est activé dans les propriétés des éléments.


Modification d'un élément de champ d'entrée

Pour chaque élément champ d'entrée, vous pouvez définir les propriétés suivantes : la position et la taille, le type de marquage, la taille de la cellule, le nombre de lignes de texte dans l'élément, la largeur de la ligne de marquage, la couleur de la ligne de marquage, le texte du conseil, la police du conseil, le mode de sélection de la taille de la police du conseil et la couleur de l'arrière-plan de l'élément et le champ lié.

Vous pouvez modifier les propriétés de l'élément champ d'entrée dans la fenêtre Element Properties située dans le coin inférieur droit de la fenêtre principale. La fenêtre Element Properties ne s'affiche que si l'option Afficher>Element Properties est sélectionnée dans le menu principal.

Élément

Description

Element

Type

Champ d'entrée

Position et taille

Left

Définit la distance entre le bord gauche du formulaire et l'élément.

Top

Définit la distance entre le bord supérieur du formulaire et l'élément.

Width

Définit la largeur de l'élément champ d'entrée.

Height

Définit la hauteur d'un élément champ d'entrée.

Important !
Vous pouvez modifier le nombre de lignes dans un champ d'entrée seulement si vous avez coché la case Multiple rows dans l'onglet Marking. Utilisez l'onglet Marking pour modifier la hauteur des cellules.

Alignment

Horizontal

Aligne horizontalement le texte figurant dans l'élément :

  • Centre : centre le texte horizontalement
  • Gauche : aligne le texte sur le bord gauche de l'élément
  • Droite : aligne le texte sur le bord droit de l'élément

Vertical

Aligne verticalement le texte figurant dans l'élément :

  • Bas : aligne le texte sur le bord inférieur de l'élément
  • Centre : centre le texte verticalement
  • Haut : aligne le texte sur le bord supérieur de l'élément

Orientation

 Définit l'orientation du texte.
  • Normal (horizontal) : le texte sera disposé horizontalement, de gauche à droite
  • Vertical (de haut en bas) : le texte sera disposé verticalement, de haut en bas
  • Vertical (de bas en haut) : le texte sera disposé verticalement, de bas en haut

Marking

Marking type

Définit le type de marquage pour le texte :

  • Lettres encadrées séparément en pointillés

  • Lettres encadrées séparément

  • Lettres sur un peigne

  • Texte dans un cadre muni d'un peigne

  • Lettres encadrées

Cell size

Définit la taille des cellules de caractères :

  • Normal : taille de cellule standard (4x5 mm)

  • Grande : taille de cellule maximale (5x6,5 mm)

  • Petite : taille de cellule minimale (3x4 mm)

Bold marking line (pour tous les types de marquage à l'exception du type Lettres encadrées séparément en pointillés)

Met le cadre des cellules en gras.

Marking color

Sélectionne une couleur de marquage dans la liste déroulante*.

Multiple rows

Ajoute des lignes multiples au champ d'entrée.

Tip

Text

Définit le texte du conseil. Le conseil sera saisi dans le champ d'entrée du formulaire : chaque lettre du conseil sera placée dans la cellule correspondante.

Color

Sélectionne une couleur de conseils dans la liste déroulante*.

Font

Sélectionne une police de conseil.

Auto size font

Sélectionne automatiquement une taille de police pour les conseils, en fonction de la hauteur des cellules de caractères du champ.

Background

Same as form background

Donne à l'arrière-plan du champ d'entrée la même couleur que l'arrière-plan du formulaire.

Other

Sélectionne une couleur d'arrière-plan du champ d'entrée dans la liste déroulante*.

Linked Field

Champ lié

Lorsque vous créez un élément dans votre formulaire, un champ est créé par défaut dans la structure du document auquel cet élément est lié. Pour lier votre élément à un autre champ du même type, sélectionnez le nom du champ dans la liste déroulante.

* : La palette des couleurs disponibles dépend du type de votre document (noir et blanc ou couleur).

Remarque : vous pouvez acheter des polices supplémentaires et une prise en charge de polices multilingues sur www.paratype.com/shop/.


Supprimer un élément champ d'entrée

Pour supprimer un élément champ d'entrée :

  1. Sélectionnez l'élément champ d'entrée que vous souhaitez supprimer.

  2. Dans le menu Édition, sélectionnez Delete (ou sélectionnez l'option Delete sur le menu contextuel).


Champs de date

Élément champ de date est un élément de formulaire lisible par machine qui est supposé saisir la date en remplissant le formulaire.

Afficher le champ de date

Ajouter un élément Champ de date

Modifier un élément Champ de date

Supprimer un élément Champ de date


Ajout d'un champ de date

Pour ajouter un champ de date

Un élément de formulaire lisible par machine où une date doit être entrée par la personne remplissant le formulaire.
en remplissant le formulaire :
  1. Sur la barre d'outils Éléments de formulaire, sélectionnez l'outil Champ de date.
  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter l'élément, maintenez enfoncé le bouton gauche de la souris puis faites glisser la souris en diagonale. Un rectangle apparaîtra à l'écran. Le champ de date sera placé dans le coin supérieur gauche de l'espace de référence une fois le bouton de la souris relâché.

Remarque : Vous pouvez également créer un élément avec un simple clic de la souris : une fois que vous avez sélectionné l'outil requis, cliquez simplement là où vous voulez que l'élément soit ajouté dans le formulaire. La taille d'élément par défaut sera utilisée. Pour disposer plusieurs éléments du même type sur votre formulaire, maintenez enfoncée la touche CTRL puis cliquez aux différents endroits où vous souhaitez positionner les éléments.


Modification d'un élément champ Date

Pour chaque élément du champ Date

Un élément de formulaire lisible par machine, destiné à la saisie de dates dans le formulaire à remplir.
les propriétés suivantes sont définies : position et taille des éléments, marquage du texte, taille des cellules de caractères, lignes multiples, marquage normal/ gras de la ligne, couleur de marquage, format de la date, nombre de cellules de caractères pour l'enregistrement de la date, séparateur, couleur du séparateur, couleurs des conseils, police des conseils, police du texte des conseils, sélection automatique de la hauteur des polices des conseils, couleur des élément d'arrière-plan, champ lié.

Vous pouvez modifier les propriétés de l'élément champ date dans la fenêtre Element Properties située dans le coin inférieur droit de la fenêtre principale. La fenêtre Element Properties ne s'affiche que si l'option Afficher>Element Properties est sélectionnée dans le menu principal.

Élément

Description

Element

Type

Champ Date.

Groupe Position et taille

Left

Définit la distance désirée entre le bord gauche du formulaire et l'élément sans retrait à gauche.

Top

Définit la distance entre le bord supérieur du formulaire et l'élément.

Width

Définit la largeur de l'élément champ date.

Height

Définit la hauteur de l'élément champ date.

Important !

Pour modifier la hauteur de la cellule de caractères, allez à l'onglet Marking.

Alignment

Horizontal

Aligne horizontalement le texte figurant dans l'élément :

  • Centre : centre le texte horizontalement
  • Gauche : aligne le texte sur le bord gauche de l'élément
  • Droite : aligne le texte sur le bord droit de l'élément

Vertical

Aligne verticalement le texte figurant dans l'élément :

  • Bas : aligne le texte sur le bord inférieur de l'élément
  • Centre : centre le texte verticalement
  • Haut : aligne le texte sur le bord supérieur de l'élément

Orientation

Définit l'orientation du texte.

  • Normal (horizontal) : le texte sera disposé horizontalement, de gauche à droite
  • Vertical (de haut en bas) : le texte sera disposé verticalement, de haut en bas
  • Vertical (de bas en haut) : le texte sera disposé verticalement, de bas en haut

Marking

Marking type

Sélectionne un type de marquage à partir de la liste déroulante :

  • Lettres encadrées séparément en pointillés
  • Lettres encadrées séparément
  • Lettres sur un peigne
  • Texte dans un cadre muni d'un peigne
  • Lettres encadrées

Cell size

Sélectionne les dimensions de la cellule à partir de la liste déroulante :

  • Standard : dimensions de cellule standard recommandées (4x5 mm)
  • Maximum : dimensions de cellules maximum recommandées (5x6,5 mm)
  • Minimum : dimensions de cellules minimum recommandées (3?4 mm)

Bold marking line (lorsqu'un type de marquage est sélectionné, à l'exception du type :Lettres encadrées séparément en pointillés )

Sélectionne une ligne de marquage avec un texte en gras.

Marking color

Sélectionne une couleur de marquage dans la liste déroulante*.

Date

Date format

Définit un format de date :

  • JJ.MM.AAAA

  • MM.JJ.YYYY

  • AAAA.MM.J

Digits in year

Définit le nombre de cellules pour une année :

  • 2 (2 cellules seront disponibles)

  • 4 (4 cellules seront disponibles)

Separator

Sélectionne un séparateur pour les dates :

  • .

  • /

  • -

Color

Sélectionne une couleur de séparateur à partir de la liste déroulante*.

Tip text

Sélectionne une couleur de conseils dans la liste déroulante. Le conseil sera écrit dans le champ date sur le formulaire : chaque lettre du conseil sera placée dans la cellule correspondante.

Color

Sélectionne une couleur de conseil dans la liste déroulante*.

Font

Sélectionne une police de conseil.

Auto size font

Sélectionne automatiquement une taille de police pour les conseils, en fonction de la hauteur des cellules de caractères du champ.

Background

Same as form background*

Donne à l'arrière-plan du champ date la même couleur que l'arrière-plan du formulaire.

Other

Sélectionne une couleur d'arrière-plan du champ date dans la liste déroulante*.

Linked Field

Champ lié

Lorsque vous créez un élément dans votre formulaire, un champ est créé par défaut dans la structure du document auquel cet élément est lié. Pour lier votre élément à un autre champ du même type, sélectionnez le nom du champ dans la liste déroulante.

* : La palette des couleurs disponibles dépend du type de votre document (noir et blanc ou couleur).

Remarque : vous pouvez acheter des polices supplémentaires et une prise en charge de polices multilingues sur www.paratype.com/shop/.


Supprimer un élément Champ de date

Pour supprimer un élément champ de date :

  1. Sélectionnez l'élément Champ de date ;
  2. Sélectionnez l'option Delete (menu Édition>Delete ou l'option Delete dans le menu contextuel).


Champs numériques

Un champ numérique est un élément de formulaire lisible par machine, qui est supposé saisir des chiffres en remplissant le formulaire.

M'afficher un élément champ numérique

Ajouter un élément Champ numérique

Modifier un élément Champ numérique

Supprimer un élément Champ numérique


Ajout d'un élément champ numérique

Pour ajouter un élément champ numérique

Un élément de formulaire lisible par machine où des nombres doivent être entrés par la personne remplissant le formulaire.
sur le formulaire :
  1. Sur la barre d'outils Éléments de formulaire, sélectionnez l'outil Champ numérique.
  2. Cliquez sur le formulaire à l'endroit où vous souhaitez placer l'élément, maintenez enfoncé le bouton gauche de la souris puis faites glisser la souris en diagonale. Un rectangle apparaîtra à l'écran. Ajustez la taille de l'élément ajouté. Relâchez la souris.

Remarque : Vous pouvez également créer un élément avec un simple clic de la souris : une fois que vous avez sélectionné l'outil requis, cliquez simplement là où vous voulez que l'élément soit ajouté dans le formulaire. La taille d'élément par défaut sera utilisée. Pour disposer plusieurs éléments du même type sur votre formulaire, maintenez enfoncée la touche CTRL puis cliquez aux différents endroits où vous souhaitez positionner les éléments.


Modification d'un élément champ numérique

Pour chaque élément champ numérique

Un élément de formulaire lisible par machine, destiné à l'entrée de chiffres dans le formulaire à remplir.
, les propriétés suivantes sont définies : position et taille des éléments, marquage de texte, dimensions de cellule de caractères, lignes multiples, ligne de marquage en gras/normal, couleur de marquage, nombre de cellules de caractères pour enregistrer la partie fractionnelle d'un nombre décimal, séparateur, couleur de séparateur, couleur des conseils, police des conseils, police de texte des conseils, sélection automatique de la hauteur des polices des conseils, couleur des éléments d'arrière-plan et champs liés.

Vous pouvez modifier les propriétés de l'élément champ numérique dans la fenêtre Element Properties qui se trouve dans le coin inférieur droit de la fenêtre principale. La fenêtre Element Properties s'affiche seulement si Afficher>Element Properties est sélectionné dans le menu principal.

Élément

Description

Element

Type

Champ numérique.

Groupe Position et taille

Left

Définit la distance que vous souhaitez qu'il y ait entre le bord gauche du formulaire et l'élément, sans marge à gauche.

Top

Définit la distance entre le bord supérieur du formulaire et l'élément.

Width

Définit la largeur d'un élément champ numérique.

Height

Définit la hauteur d'un champ numérique.

Alignment

Horizontal

Aligne horizontalement le texte figurant dans l'élément :

  • Centre : centre le texte horizontalement
  • Gauche : aligne le texte sur le bord gauche de l'élément
  • Droite : aligne le texte sur le bord droit de l'élément

Vertical

Aligne verticalement le texte figurant dans l'élément :

  • Bas : aligne le texte sur le bord inférieur de l'élément
  • Centre : centre le texte verticalement
  • Haut : aligne le texte sur le bord supérieur de l'élément

Orientation

 Définit l'orientation du texte.
  • Normal (horizontal) : le texte sera disposé horizontalement, de gauche à droite
  • Vertical (de haut en bas) : le texte sera disposé verticalement, de haut en bas
  • Vertical (de bas en haut) : le texte sera disposé verticalement, de bas en haut

Marking

Marking type

Sélectionne un type de marquage à partir de la liste déroulante :

  • Lettres inscrites séparément dans des cadres en pointillés
  • Lettres encadrées séparément
  • Lettres sur un peigne
  • Texte dans un cadre muni d'un peigne
  • Lettres encadrées

Cell size

Sélectionne les dimensions de la cellule à partir de la liste déroulante :

  • Standard : dimensions de cellule standard recommandées (4x5 mm)
  • Maximum : dimensions de cellules maximum recommandées (5x6,5 mm)
  • Minimum : dimensions de cellules minimum recommandées (3?4 mm)

Bold marking line (lorsqu'un type de marquage quelconque sauf Lettres inscrites séparément dans des cadres en pointillés est sélectionné)

Sélectionne une ligne de marquage avec un texte en gras.

Marking color

Sélectionne une couleur de marquage à partir de la liste déroulante*.

Number

Decimal places

Sélectionne le nombre de chiffres après la virgule pour les nombres décimaux.

Separator

Sélectionne un séparateur pour les nombres :

  • .

  • /

  • -

Color

Sélectionne une couleur de séparateur à partir de la liste déroulante*.

Tip text

Sélectionne une couleur de conseil. Le conseil sera écrit dans le Champ numérique du formulaire : chaque lettre dans la cellule correspondante.

Color

Sélectionne une couleur de conseil à partir de la liste déroulante*.

Font

Sélectionne une police de conseil.

Auto size font

Sélectionne automatiquement une taille de police pour les conseils, en fonction de la hauteur des cellules de caractères du champ.

Background

Same as form background

Donne à l'arrière-plan du Champ numérique la même couleur que l'arrière-plan du formulaire.

Other

Sélectionne une couleur d'arrière-plan de Champ numérique à partir de la liste déroulante*.

Linked Field

Champ lié

Par défaut, chaque fois que vous créez un élément sur votre formulaire, un champ qui lui est lié est créé dans la structure de document. Pour lier votre élément à un autre champ du même type, sélectionnez le nom du champ à partir de la liste déroulante.

* La plage de couleurs disponible dépend de votre type de formulaire (noir et blanc ou couleur).

Remarque : Vous pouvez acheter des polices supplémentaires et la prise en charge des polices multilingues sur www.paratype.com/shop/.


Supprimer un élément Champ numérique

Pour supprimer un élément champ numérique :

  1. Sélectionnez un élément champ numérique :
  2. Sélectionnez l'option Delete (menu Édition>Delete ou l'option Delete dans le menu contextuel).


Champs de coche

Un champ de coche est un élément de formulaire lisible par machine (en général une case à cocher) que l'utilisateur remplit en insérant une marque (par ex. une coche, une croix, etc.).

Ajouter un élément champ de coche

Modifier un élément champ de coche

Supprimer un élément champ de coche


Ajout d'un champ de coche

Pour ajouter un champ de coche :

  1. Sur la barre d'outils Éléments de formulaire, sélectionnez l'outil Champ de coche.

  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter le champ de coche, maintenez enfoncé le bouton gauche de la souris puis faites glisser la souris en diagonale. Relâchez la souris.

Remarque : Vous pouvez également créer un élément avec un simple clic de la souris : une fois que vous avez sélectionné l'outil requis, cliquez simplement là où vous voulez que l'élément soit ajouté dans le formulaire. La taille d'élément par défaut sera utilisée. Pour disposer plusieurs éléments du même type sur votre formulaire, maintenez enfoncée la touche CTRL puis cliquez aux différents endroits où vous souhaitez positionner les éléments.


Modification d'un champ de coche

Pour chaque élément champ de coche, vous pouvez définir les propriétés suivantes : position du texte, taille du champ, largeur des bordures, couleur des bordures, distance, texte, police, retour à la ligne automatique, couleur du texte, couleur de l'arrière-plan, champ lié.

Vous pouvez modifier les propriétés de l'élément Champ de coche dans la fenêtre Element Properties située dans le coin inférieur droit de la fenêtre principale. La fenêtre Element Properties ne s'affiche que si l'option Afficher>Element Properties est sélectionnée dans le menu principal.

Pour modifier le texte d'explication d'un champ de coche, double-cliquez dans la zone de texte.

Élément

Description

Element

Type

Champ de coche.

Groupe de positions et de tailles

Left

Définit la distance désirée entre le bord gauche du formulaire et l'élément sans retrait à gauche.

Top

Définit la distance entre le bord supérieur du formulaire et l'élément.

Width

Définit la largeur d'un élément champ de coche.

Height

Définit la hauteur d'un élément champ de coche.

Text

Text

Le texte d'explication qui accompagne le Champ de coche.

Font

La police du texte d'explication.
Pour modifier la police, sa taille et son style (italique, gras, souligné, etc.), cliquez sur le bouton Change … et dans la boîte de dialogue Police qui s'ouvre alors, sélectionnez la taille et le style de la police désirée.

Font color

Sélectionnez une couleur d'arrière-plan du texte dans la liste déroulante*.

Word wrap

Retour à la ligne automatique des lignes de texte sans couper les mots.

Checkmark Field

Type

Détermine la forme du Champ de coche :

  • Carré

  • Cercle

  • Souligné

Position

Définit la position du Champ de coche par rapport au texte d'explication :

  • ?À gauche du texte : le champ de coche est situé à gauche du texte

  • ?À droite du texte : le champ de coche est situé à droite du texte

  • Au-dessus du texte : le champ de coche est situé au-dessus du texte

  • En-dessous du texte : le champ de coche est situé en-dessous du texte

Size

Affiche une liste déroulante qui contient les tailles de champ prédéfinies (3,5x3,5, 4x4, 4,5x4,5 ou 5x5 mm).

Line width

Définit la largeur des bordures des champs (de 0,4 à 0,8 mm).

Standoff

Définit la distance entre le champ de coche et le texte d'explication du texte (de 2 à 7 mm).

Color

Sélectionne une couleur de bordure de champ dans la liste déroulante*.

Background

Same as form background

Donne à l'arrière-plan du Champ de coche la même couleur que l'arrière-plan du formulaire.

Other

Sélectionne une couleur d'arrière-plan du champ de coche dans la liste déroulante*.

Linked Field

Champ lié

Lorsque vous créez un élément dans votre formulaire, un champ est créé par défaut dans la structure du document auquel cet élément est lié. Pour lier votre élément à un autre champ du même type, sélectionnez le nom du champ dans la liste déroulante.

* : La palette des couleurs disponibles dépend du type de votre document (noir et blanc ou couleur).

Remarque : vous pouvez acheter des polices supplémentaires et une prise en charge de polices multilingues sur www.paratype.com/shop/.


Supprimer un champ de coche

Pour supprimer un élément champ de coche :

  1. Sélectionnez l'élément champ de coche que vous souhaitez supprimer.
  2. Dans le menu Édition, sélectionnez Supprimer (ou sélectionnez l'option Delete sur le menu contextuel).


Séparateurs de ligne

Un séparateur de ligne est un élément de formulaire lisible par machine en forme de ligne noire horizontale ou verticale.

Ajouter un élément séparateur de ligne

Modifier un élément séparateur de ligne

Supprimer un élément séparateur de ligne


Ajout d'un élément séparateur de ligne

Pour ajouter un séparateur de ligne :

  1. Sur la barre d'outils Éléments de formulaire, sélectionnez l'outil Séparateur de ligne.

  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter le séparateur de ligne, maintenez enfoncé le bouton gauche de la souris puis faites glisser la souris en diagonale. Un rectangle apparaîtra à l'écran. Ajustez la taille de l'élément ajouté. Relâchez la souris.

Remarque : Vous pouvez également créer un élément avec un simple clic de la souris : une fois que vous avez sélectionné l'outil requis, cliquez simplement là où vous voulez que l'élément soit ajouté dans le formulaire. Par défaut, un séparateur horizontal sera créé. Maintenez enfoncé le bouton MAJ pour créer un séparateur vertical. La taille d'élément par défaut sera utilisée. Pour disposer plusieurs éléments du même type sur votre formulaire, maintenez enfoncée la touche CTRL puis cliquez aux différents endroits où vous souhaitez positionner les éléments.


Modification d'un élément séparateur de ligne

Pour chaque élément séparateur de ligne, les propriétés suivantes peuvent être définies : nom, position et taille, style, couleur et largeur de ligne.

Vous pouvez modifier les propriétés de l'élément séparateur de ligne dans la fenêtre Element Properties qui se trouve dans le coin inférieur droit de la fenêtre principale. La fenêtre Element Properties s'affiche seulement si Afficher>Element Properties est sélectionné dans le menu principal.

Élément

Description

Element

Type

Séparateur de ligne.

Groupe Position et taille

Left

Définit la distance que vous souhaitez qu'il y ait entre le bord gauche du formulaire et l'élément, sans marge à gauche.

Top

Définit la distance entre le bord supérieur du formulaire et l'élément.

Width

Définit la largeur d'un élément séparateur de ligne.

Height

Définit la hauteur d'un élément séparateur de ligne.

Line

Width

Définit la largeur du séparateur de ligne (comprise entre 0,1 mm et 2,5 mm).

Style

Définit le style de la ligne :

  • Tirets

  • Points

  • Solide

Color

 Sélectionnez une couleur de séparateur de ligne dans la liste déroulante.

Remarque : La plage de couleurs disponible dépend de votre type de formulaire (noir et blanc ou couleur). Dans le cas de formulaires en noir et blanc, les séparateurs sont noirs.


Supprimer un élément séparateur de ligne

Pour supprimer un élément séparateur de ligne :

  1. Sélectionnez l'élément séparateur de ligne que vous souhaitez supprimer.

  2. Dans le menu Édition, sélectionnez Delete (ou sélectionnez l'option Delete sur le menu contextuel).


Cadres

Un cadre est un élément de formulaire lisible par machine contenant une zone sur un formulaire.

M'afficher un élément de cadre

Ajouter un élément de cadre

Modifier un élément de cadre

Supprimer un élément de cadre


Ajout d'un cadre

Pour ajouter un cadre :

  1. Sur la barre d'outils Éléments de formulaire, sélectionnez l'outil Cadre.

  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter le Cadre, maintenez enfoncé le bouton gauche de la souris puis faites glisser la souris en diagonale. Un rectangle apparaîtra à l'écran. Ajustez la taille de l'élément ajouté. Relâchez la souris.

Remarque : Vous pouvez également créer un élément avec un simple clic de la souris : une fois que vous avez sélectionné l'outil requis, cliquez simplement là où vous voulez que l'élément soit ajouté dans le formulaire. La taille d'élément par défaut sera utilisée. Pour disposer plusieurs éléments du même type sur votre formulaire, maintenez enfoncée la touche CTRL puis cliquez aux différents endroits où vous souhaitez positionner les éléments.


Modification d'un élément de cadre

Pour chaque élément cadre, vous pouvez définir les propriétés suivantes : position et taille, largeur et couleur de ligne, style.

Vous pouvez modifier les propriétés de l'élément de cadredans la fenêtre Element Propertiesqui se trouve dans le coin inférieur droit de la fenêtre principale. La fenêtre Element Properties ne s'affiche que si l'option Afficher>Element Properties est sélectionnée dans le menu principal.

Élément

Description

Element

Type

Cadre

Groupe de positions et de tailles

Left

Définit la distance désirée entre le bord gauche du formulaire et l'élément sans retrait à gauche.

Top

Définit la distance entre le bord supérieur du formulaire et l'élément.

Width

Définit la largeur d'un élément cadre.

Height

Définit la hauteur d'un élément cadre.

Line

Width

Définit la largeur du cadre (comprise entre 0,1 mm et 2,5 mm).

Style

Définit le style du cadre :

  • Tirets

  • Points

  • Ligne continue

Color

Sélectionne une couleur de cadre à partir de la liste déroulante.

Remarque : la palette des couleurs disponibles dépend du type de votre formulaire (noir et blanc ou couleur).


Supprimer un élément de cadre

Pour supprimer un élément cadre :

  1. Sélectionnez l'élément cadre que vous souhaitez supprimer.

  2. Dans le menu Édition, sélectionnez Delete (ou sélectionnez l'option Delete sur le menu contextuel).


Images

Une image est un élément de formulaire lisible par machine contenant une image.

Ajouter un élément d'image

Modifier un élément d'image

Supprimer un élément d'image


Ajout d'un élément image

Pour ajouter un élément image :

  1. Sur la barre d'outils Éléments de formulaire, sélectionnez l'outil Image.

  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter l'Image, maintenez enfoncé le bouton gauche de la souris puis faites glisser la souris en diagonale. Un rectangle apparaîtra à l'écran. Ajustez la taille de l'élément ajouté.

Remarque : Vous pouvez également créer un élément avec un simple clic de la souris : une fois que vous avez sélectionné l'outil requis, cliquez simplement là où vous voulez que l'élément soit ajouté dans le formulaire. La taille d'élément par défaut sera utilisée. Pour disposer plusieurs éléments du même type sur votre formulaire, maintenez enfoncée la touche CTRL puis cliquez aux différents endroits où vous souhaitez positionner les éléments.

  3. Dans la boîte de dialogue Ouvrir l'image qui apparaît, parcourez les fichiers jusqu'à l'image que vous souhaitez ajouter au formulaire.


Modification d'un élément image

Pour chaque élément image, vous pouvez indiquer les propriétés suivantes : position et taille, mode de modification de la taille, alignement, fichier image source et couleur d'arrière-plan.

Les propriétés d'un élément Image peuvent être modifiées dans la boîte de dialogue Element Properties (cliquez avec le bouton droit de la souris sur un élément image et sélectionnez Properties… dans le menu contextuel).

Vous pouvez modifier les propriétés de l'élément image dans la fenêtre Element Properties située dans le coin inférieur droit de la fenêtre principale. La fenêtre Element Properties ne s'affiche que si l'option Afficher>Element Properties est sélectionnée dans le menu principal.

Élément

Description

Element

Type

Image.

Groupe Position et taille

Left

Définit la distance désirée entre le bord gauche du formulaire et l'élément sans retrait à gauche.

Top

Définit la distance entre le bord supérieur du formulaire et l'élément.

Width

Définit la largeur de l'élément Image.

Height

Définit la hauteur de l'élément Image.

Picture

Size mode

Modifie la taille de l'élément dans un des trois modes suivants :

  • Clip : modifie la taille de l'élément sans modifier la taille de l'image ni ses proportions.
    L'image elle-même ne peut pas être agrandie dans ce mode.
    Si l'élément devient plus petit que l'image, une partie de l'image sera alors invisible dans le formulaire.

  • ?Étirement : modifie la taille de l'élément et réduit ou étire l'image en fonction de la taille de l'élément. L'image entière reste toujours affichée, mais ses proportions se sont pas conservées.

  • Zoom : modifie la taille de l'élément et agrandit ou réduit la taille de l'image proportionnellement à la taille de l'élément. L'image entière reste toujours affichée et ses proportions sont conservées.

Alignment

Aligne l'image à l'intérieur de l'élément :

  • Supérieur gauche : place l'image dans le coin supérieur gauche de l'élément

  • Supérieur droit : place l'image dans le coin supérieur droit de l'élément

  • Centrer : place l'image au centre de l'élément

  • Inférieur gauche : place l'image dans le coin inférieur gauche de l'élément

  • Inférieur droit : place l'image dans le coin inférieur droit de l'élément

Source

Désigne le fichier image source.

Pour préciser le fichier source à partir duquel l'image est téléchargée :

  1. Cliquez sur le bouton "---".

  2. Dans la boîte de dialogue qui s'ouvre, naviguez jusqu'au fichier qui contient l'image à ajouter au formulaire.

Les formats d'images suivants sont pris en charge :

  • Bitmap (*.bmp)
  • DCX (*.dcx)
  • DJVU (*. djvu)
  • GIF (*. gif)
  • JBIG2 (*. jbig2)
  • JPEG (*.jpg; *.jpeg; *.jfif)
  • JPEG-2000 (*.jp2; *.j2c)
  • PCX (*.pcx)
  • PNG (*.png)
  • TIFF (*.tif; *.tiff)
  • PDF (*.pdf)

Background

Same as form background

Donne à l'arrière-plan de l'image la même couleur que l'arrière-plan du formulaire.

Other

Sélectionne une couleur d'arrière-plan d'Image dans la liste déroulante.

Remarque : la palette des couleurs disponibles dépend du type de votre formulaire (noir et blanc ou couleur).


Supprimer un élément d'image

Pour supprimer un élément image :

  1. Sélectionnez l'élément image que vous souhaitez supprimer.
  2. Dans le menu Édition, sélectionnez Supprimer (ou sélectionnez l'option Supprimer sur le menu contextuel).


Identificateurs de formulaire

Identificateurs

Un identificateur est un élément d'un formulaire lisible par machine qui permet au programme de traitement des formulaires d'identifier le formulaire ou une de ses pages.

Nous vous recommandons d'ajouter des identificateurs à vos formulaires. Le programme de traitement des formulaires pourra alors identifier plus facilement chaque formulaire comme faisant partie d'un ensemble de formulaires donné au cours du traitement.

Un élément identificateur peut identifier un formulaire en entier ou une page en particulier sur laquelle il se trouve. Vous pouvez indiquer une valeur personnalisée pour un identificateur.

ABBYY FormDesigner 9.0 peut ajouter les types d'identificateur de formulaire suivants à vos formulaires : code barre seulement, code barre avec chiffres et chiffres seulement. Tous ces types d'identificateur sont en réalité une représentation d'un nombre à treize chiffres unique donné à un formulaire au moment de la publication. Avant la publication d'un formulaire, le mot "?Ébauche" est écrit sur l'identificateur de formulaire.

Les types code barre seulement et code barre avec chiffres peuvent être personnalisés en sélectionnant le type de code-barre (EAN13 ou EAN8).

Type | Description
Code barre seulement | Le formulaire est identifié par un code barre.
Code barre avec chiffres | Le formulaire est identifié par un code barre avec des chiffres (les chiffres peuvent être placés au-dessus ou en-dessous des barres).
Chiffres seulement 1236489271602 | Le formulaire est identifié par un nombre à treize chiffres.

Ajout d'un élément identificateur

Modification d'un élément identificateur

Suppression d'un élément identificateur


Ajout d'un élément identificateur

Pour ajouter un identificateur :

  1. Sur la barre d'outils Éléments de formulaire, sélectionnez l'outil Identificateur.

  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter l'Identificateur, maintenez enfoncé le bouton gauche de la souris puis faites glisser la souris en diagonale. Un rectangle apparaîtra à l'écran. L'identificateur de formulaire sera placé dans le coin supérieur gauche du rectangle une fois la souris relâchée.

Remarque : Vous pouvez également créer un élément avec un simple clic de la souris : une fois que vous avez sélectionné l'outil requis, cliquez simplement là où vous voulez que l'élément soit ajouté dans le formulaire. La taille d'élément par défaut sera utilisée. Pour disposer plusieurs éléments du même type sur votre formulaire, maintenez enfoncée la touche CTRL puis cliquez aux différents endroits où vous souhaitez positionner les éléments.


Modification d'un élément identificateur

La taille standard d'un élément identificateur est de 46x12 mm.

Pour chaque élément identificateur, vous pouvez définir les propriétés suivantes : position et taille, type, orientation et valeur.

Les propriétés d'un élément Identificateur ne dépendent pas du type de formulaire.

Vous pouvez modifier les propriétés de l'élément identificateur dans la fenêtre Element Properties située dans le coin inférieur droit de la fenêtre principale. La fenêtre Element Properties ne s'affiche que si l'option Afficher>Element Properties est sélectionnée dans le menu principal.

Élément

Description

Element

Type

Identificateur.

Groupe Position et taille

Left

Définit la distance désirée entre le bord gauche du formulaire et l'élément sans retrait à gauche.

Top

Définit la distance entre le bord supérieur du formulaire et l'élément.

Width

Définit la largeur de l'élément identificateur.

Height

Définit la hauteur de l'élément identificateur.

Identifier

Type

Définit le type d'identificateur :

  • Code barre seulement

  • Code barre avec chiffres

  • Chiffres seulement

Barcode type

Sélectionne le type de code barre si le type d'identificateur est réglé sur Code barre seulement ou Code barre avec chiffres et si l'option Custom value est sélectionnée.

Types de codes barres disponibles :

  • EAN13
  • EAN8

Si l'option Custom value n'est pas sélectionnée, le Barcode type sera grisé. Le type de code barre EAN13 est alors utilisé.

Orientation

Définit l'orientation du code barre :

  • Horizontal

  • Vertical

Value

La valeur de l'Identificateur

Les valeurs de l'identificateur ne peuvent être modifiées que si l'option Custom value est sélectionnée. Pour le type EAN13, les valeurs personnalisées doivent contenir 12 chiffres et 7 chiffres pour le type EAN8. Les valeurs ou caractères plus long ou moins longs, autres que des chiffres, ne sont pas autorisés. Pour le type EAN13, un chiffre de contrôle supplémentaire est ajouté au début de la chaîne (en dehors du code barre lui-même) et pour le type EAN8, un chiffre de contrôle supplémentaire est ajouté à la fin de la chaîne, dans le corps du code barre.

Si l'option Form identifier ou Page identifier est sélectionnée, une valeur sera automatiquement affectée à l'identificateur au moment de la publication du formulaire. Avant d'être publié, le formulaire a le statut Modifiable et aucune valeur d'identificateur ne lui est encore affectée.

Form identifier

Utilise un élément comme identificateur de formulaire.

Page identifier

Utilise un élément comme identificateur de la page en cours.

Custom value

Utilise des valeurs personnalisées en guise d'identificateur. Cette option n'est pas disponible pour les identificateurs de type Chiffres seulement.


Supprimer un élément identificateur

Pour supprimer un élément identificateur :

  1. Sélectionnez l'élément identificateur que vous souhaitez supprimer.

  2. Dans le menu Édition, sélectionnez Delete (ou sélectionnez l'option Delete sur le menu contextuel).


Tableaux

Un tableau est un élément de formulaire lisible par machine contenant des colonnes d'éléments de même type.

Les colonnes du tableau peuvent contenir les éléments suivants:

  • texte
  • champ d'entrée
  • champ de date
  • champ numérique
  • champ de coche

Un tableau peut inclure une ligne avec les noms des colonnes.

En termes de structure de document, chaque champ de tableau possède des champs fils correspondant aux colonnes d'un élément tableau.

Ajouter un élément tableau

Modifier un élément tableau

Supprimer un élément tableau


Ajout d'un tableau

Pour ajouter un élément tableau :

Un élément d'un formulaire lisible par machine qui contient des colonnes d'éléments du même type (c'est-à-dire, champs de texte ou champs de coche) ; il peut inclure une ligne avec les noms des colonnes.
  1. Dans la barre d'outils ?Éléments de formulaires, sélectionnez l'outil Tableau.
  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter le tableau, maintenez le bouton gauche de la souris enfoncé puis faites glisser la souris en diagonale. Un rectangle apparaîtra à l'écran. Ajustez la taille de l'élément ajouté.

Remarque : Vous pouvez également créer un élément avec un simple clic de la souris : une fois que vous avez sélectionné l'outil requis, cliquez simplement là où vous voulez que l'élément soit ajouté dans le formulaire. La taille d'élément par défaut sera utilisée. Pour disposer plusieurs éléments du même type sur votre formulaire, maintenez la touche CTRL enfoncée puis cliquez aux différents endroits où vous souhaitez positionner les éléments.

  3. Dans la boîte de dialogue qui s'ouvre, indiquez le type de tableau.
    • Sélectionnez Use first row as header, si vous désirez utiliser la première ligne du tableau comme en-tête.
    • Dans le tableau qui s'affiche au centre de la boîte de dialogue, remplacez les noms et les types de données par défaut par les noms et les types désirés. Vous pouvez sélectionner autant de colonnes que désiré ;
    • Dans le champ Number of rows, tapez le nombre de lignes désiré pour le tableau.

Ajout de séparateurs

Si votre formulaire contient un tableau, les boutons de la barre d'outils pour l'ajout et la suppression de séparateurs deviennent actifs. Vous pouvez utiliser ces boutons pour ajouter/supprimer des séparateurs, et ainsi, modifier le nombre de lignes et de colonnes du tableau.

Sélectionnez l'outil Ajouter un séparateur et exécutez l'une des tâches suivantes :

  • Cliquez à l'intérieur du tableau pour créer un séparateur
  • Placez le curseur de la souris sur le séparateur existant pour le déplacer. Si vous placez le curseur sur l'intersection de deux séparateurs, les deux séparateurs seront déplacés.
  • Maintenez la touche Ctrl enfoncée et placez le curseur de la souris sur un séparateur pour le supprimer.
  • Maintenez la touche Maj. enfoncée et placez le curseur de la souris sur un séparateur pour modifier le type de vertical à horizontal et vice versa.

Création de colonnes

Les colonnes des tableaux ne peuvent contenir que des éléments du même type. Pour créer des colonnes de tableau, sélectionnez l'élément requis dans la barre d'outils et cliquez à l'intérieur d'une colonne. Un élément du type sélectionné sera ajouté dans chaque cellule de la colonne.

Vous pouvez créer les types de colonnes suivants :

  • texte ;
  • champ d'entrée ;
  • champ date ;
  • champ numérique ;
  • champ de coche.


Modification d'un élément Tableau

Pour chaque élément tableau

Un élément d'un formulaire lisible par machine qui contient des colonnes d'éléments du même type (c'est-à-dire, champs de texte ou champs de coche) ; il peut inclure une ligne avec les noms des colonnes.
, les propriétés suivantes peuvent être définies : les coordonnées et la taille de l'élément ; largeur, style et couleur des lignes ; espacement des cellules ; si la première ligne contient les noms des colonnes ; un champ lié.

Vous pouvez modifier les propriétés de l'élément de tableau dans la fenêtre Element Properties qui se trouve dans le coin inférieur droit de la fenêtre principale. La fenêtre Element Properties ne s'affiche que si l'option Afficher>Element Properties est sélectionnée dans le menu principal.

Élément

Description

Element

Type

Tableau.

Position et taille

Left

Définit la distance entre le bord gauche du formulaire et l'élément.

Top

Définit la distance entre le bord supérieur du formulaire et l'élément.

Width

Définit la largeur de l'élément de tableau.

Height

Définit la hauteur de l'élément de tableau.

Line

Width

Définit la largeur du séparateur de ligne (comprise entre 0,1 mm et 2,5 mm).

Style

Définit le style de la ligne :

  • Tirets
  • Ligne continue
  • Points

Color

Sélectionne une couleur de séparateur de ligne dans la liste déroulante*.

Background

Same as form background

Donne à l'arrière-plan du tableau la même couleur que l'arrière-plan du formulaire.

Other

Sélectionne une couleur d'arrière-plan du tableau dans la liste déroulante*.

Table

Cell spacing

Définit la distance entre les cellules du tableau.

Use first row as header

Lorsque cette option est sélectionnée, la première ligne contient les noms des colonnes.

Linked Field

Champ lié

Lorsque vous créez un élément dans votre formulaire, un champ est créé par défaut dans la structure du document auquel cet élément est lié. Pour lier votre élément à un autre champ du même type, sélectionnez le nom du champ dans la liste déroulante.

* : la palette des couleurs disponibles dépend du type de votre document (noir et blanc ou couleur).


Supprimer un élément tableau

Pour supprimer un élément tableau :

  1. Sélectionnez l'élément tableau que vous souhaitez supprimer.
  2. Dans le menu Édition, sélectionnez Supprimer (ou sélectionnez l'option Supprimer sur le menu contextuel).


Groupes d'éléments

Un groupe d'éléments est un élément de formulaire lisible par machine qui relie plusieurs éléments logiquement connectés.

Des groupes peuvent être utilisés pour créer des groupes de champs de coche, par exemple. Ou vous pouvez regrouper des éléments pour les copier rapidement en conservant toutes leurs propriétés. Une application de groupes consiste à créer plusieurs sous-formulaires avec des champs similaires.

Des groupes peuvent s'emboîter.

Ajouter un groupe d'éléments

Modifier un groupe d'éléments

Supprimer un groupe d'éléments


Ajout d'un groupe d'éléments

Pour ajouter un groupe d'éléments :

Un élément de formulaire lisible par machine qui relie plusieurs éléments connectés logiquement
  1. Sur la barre d'outils Éléments de formulaire, sélectionnez l'outil Groupe d'éléments.
  2. Cliquez sur le formulaire à l'endroit où vous souhaitez ajouter le groupe d'éléments, maintenez enfoncé le bouton gauche de la souris puis faites glisser la souris en diagonale. Relâchez la souris. Un rectangle apparaîtra.

Remarque : Vous pouvez également créer un élément avec un simple clic de la souris : une fois que vous avez sélectionné l'outil requis, cliquez simplement là où vous voulez que l'élément soit ajouté dans le formulaire. La taille d'élément par défaut sera utilisée. Pour disposer plusieurs éléments du même type sur votre formulaire, maintenez enfoncée la touche CTRL puis cliquez aux différents endroits où vous souhaitez positionner les éléments.

Ajout d'éléments à un groupe

Il existe trois façons d'ajouter un élément à un groupe :
  1. En créant des éléments qui feront partie d'un groupe. Sélectionnez l'outil Groupe d'éléments puis utilisez la souris pour encadrer les éléments dans un rectangle. Tous les éléments complètement encadrés feront désormais partie d'un groupe.
  2. En créant un groupe à l'aide de l'outil Groupe d'éléments. Créez des éléments au sein du groupe.
  3. En créant un groupe à l'aide de l'outil Groupe d'éléments. Faites glisser les éléments voulus puis déposez-les dans le groupe.
Pour copier un groupe et tous les éléments qu'il contient, sélectionnez le groupe afin que tous ses éléments soient sélectionnés. Ainsi, si vous copiez le groupe, tous les éléments qu'il contient seront copiés en conservant leurs propriétés.


Modification d'un groupe d'éléments

Pour chaque groupe d'éléments

Un élément de formulaire lisible par machine qui relie plusieurs éléments connectés logiquement

 les propriétés suivantes sont indiquées : coordonnées, taille, style de ligne, couleur d'arrière-plan et champ lié.

Vous pouvez modifier les propriétés de l'élément groupe d'éléments dans la fenêtre Element Properties située dans le coin inférieur droit de la fenêtre principale. La fenêtre Element Properties ne s'affiche que si l'option Afficher>Element Properties est sélectionnée dans le menu principal.

Élément

Description

Element

Type

Groupe d'éléments.

Position et taille

Left

Définit la distance désirée entre le bord gauche du formulaire et l'élément sans retrait à gauche.

Top

Définit la distance entre le bord supérieur du formulaire et l'élément.

Width

Définit la largeur d'un groupe d'éléments.

Height

 Définit la hauteur d'un groupe d'éléments.

Text

Text

Modifie le texte d'explication d'un groupe d'éléments.

Font

La police utilisée pour le texte à l'intérieur de l'élément.
Pour modifier la police, sa taille et son style (italique, gras, souligné, etc.), cliquez sur le bouton Change … et dans la boîte de dialogue Font qui s'ouvre alors, sélectionnez la taille et le style de la police désirée.

Color

Sélectionne une couleur de texte dans la liste déroulante*.

Word wrap

Retour à la ligne automatique des lignes de texte sans couper les mots.

Line

Width

Définit la largeur de ligne (comprise entre 0,1 mm et 2,5 mm).

Style

Définit le style de la ligne :

  • Tirets
  • Points
  • Ligne continue

Color

Sélectionne une couleur de ligne dans la liste déroulante*.

Background

Same as form background

Donne à l'arrière-plan du groupe d'éléments la même couleur que l'arrière-plan du formulaire.

Other

Sélectionne une couleur d'arrière-plan pour le groupe d'éléments dans la liste déroulante*.

Linked Field

Champ lié

Lorsque vous créez un élément dans votre formulaire, un champ est créé par défaut dans la structure du document auquel cet élément est lié. Pour lier votre élément à un autre champ du même type, sélectionnez le nom du champ dans la liste déroulante.

* : La palette des couleurs disponibles dépend du type de votre document (noir et blanc ou couleur).

Remarque : vous pouvez acheter des polices supplémentaires et une prise en charge de polices multilingues sur www.paratype.com/shop/.


Suppression d'un groupe d'éléments

Pour supprimer un groupe d'éléments :

  1. Sélectionnez un groupe d'éléments que vous souhaitez supprimer
  2. Sélectionnez la commande Delete (Éditer>Delete ou le menu contextuel)

Important ! Si vous supprimez des éléments faisant partie d'un groupe, le groupe sera également supprimé. Pour supprimer le groupe mais conserver les éléments qu'il contient, assurez-vous que seul le groupe soit sélectionné, et non pas les éléments.


Redimensionnement des éléments du formulaire

Les éléments de formulaire peuvent être redimensionnés comme indiqué par les points verts qui apparaissent sur les bords d'un élément lorsque celui-ci est sélectionné.

Tous les éléments ne peuvent pas être redimensionnés directement avec la souris. La taille d'une ancre, par exemple, ne peut être modifiée que dans l'onglet Anchor de la boîte de dialogue Element Properties. Les éléments dont la taille peut être modifiée sont indiqués par des points verts placés sur leurs bords lorsqu'on les sélectionne. Les éléments dont la taille ne peut être modifiée ont des points blancs.

Pour modifier la taille d'un élément de formulaire :

  1. Sélectionnez l'élément de texte que vous souhaitez redimensionner.
  2. Positionnez le curseur de la souris sur n'importe quel point vert des bords de l'élément correspondant à la direction choisie pour redimensionner l'élément ; le curseur se change en flèche.
  3. Cliquez sur le point vert voulu, maintenez enfoncé le bouton de la souris puis déplacez la souris dans la direction souhaitée.

Il est possible de redimensionner les éléments de manière symétrique. Cela signifie que les dimensions de l'élément changeront dans la direction choisie et la direction opposée.

Pour redimensionner symétriquement un élément de formulaire :

  1. Sélectionnez l'élément de texte que vous souhaitez redimensionner.
  2. Appuyez sur la touche CTRL puis maintenez-la enfoncée.
  3. Positionnez le curseur de la souris sur le point vert du bord de l'élément voulu ; le curseur se change alors en flèche.
  4. Cliquez sur le point vert voulu, maintenez enfoncé le bouton de la souris puis déplacez la souris dans la direction souhaitée.

Vous pouvez également modifier la taille d'un élément en liant deux de ses bords à des règles parallèles. Si vous liez plusieurs éléments aux règles parallèles, vous pouvez modifier simultanément et de manière équivalente les dimensions horizontales et verticales de tous les éléments liés.

Pour modifier la taille d'un élément qui utilise des règles :

  1. Utilisez l'outil [image] ou [image] pour créer deux règles parallèles.
  2. Déplacez les règles ou les éléments souhaités afin que les bords des éléments à redimensionner coïncident avec les règles. Cela aura pour effet de lier les bords aux règles.
  3. Cliquez sur l'une des règles et faites-la glisser tout en maintenant enfoncé le bouton gauche de la souris. La taille de tous les éléments changera tandis que vous déplacerez la règle. Relâchez la souris lorsque les éléments sont à la bonne taille.

Remarque : Vous ne pouvez modifier que la taille verticale du champ d'entrée si l'option Multiple rows est sélectionnée pour celui-ci.


Modification de la couleur d'arrière-plan des éléments de formulaire

Vous pouvez modifier la couleur de certains éléments tout en laissant les autres éléments en noir et blanc.

Remarque : Vous pouvez définir et modifier la couleur des éléments suivants uniquement :

  • Texte
  • Champ d'entrée
  • Champ de date
  • Champ numérique
  • Champ de coche
  • Image
  • Tableau
  • Groupe d'éléments

Pour modifier la couleur de certains éléments du formulaire :

  1. Dans l'onglet Color de la boîte de dialogue Page Settings (Formulaire>Page Properties…), modifiez le style du formulaire en formulaire simili détouré couleur
  2. Pour changer la couleur du formulaire en blanc :
    • Allez dans l'onglet Color de la boîte de dialogue Page Settings (Formulaire>Page Properties…)
    • Sous Arrière-plan de la page, sélectionnez Blanc à partir de la liste déroulante Color
  3. Pour modifier la couleur des éléments requis en gris :
    • Sélectionnez les éléments requis sur le formulaire
    • Faites un clic droit sur un élément puis sélectionnez Properties…
    • Dans la boîte de dialogue Element Properties, cliquez sur l'onglet Background
    • Décochez la case Same as form background puis sélectionnez la couleur requise dans le champ Other
  4. Pour le reste des éléments du formulaire, sélectionnez Blanc pour l'arrière-plan et Noir pour le marquage de texte.


Sélection et déplacement d'éléments de formulaire

Vous devez sélectionner un élément de formulaire avant de pouvoir le déplacer ou le modifier.

Pour sélectionner un élément de formulaire :

  1. Dans la barre d'outils Éléments de formulaire, sélectionnez l'outil Sélection.
  2. Cliquez sur l'élément de formulaire souhaité.

Pour déplacer un élément de formulaire :

  1. Sélectionnez l'élément de texte que vous souhaitez déplacer.
  2. Positionnez le curseur de la souris à l'intérieur de l'élément. La flèche se changera en [image].
  3. Cliquez sur l'élément, maintenez enfoncé le bouton de la souris puis déplacez l'élément vers l'emplacement souhaité sur le formulaire.

Pour déplacer plusieurs éléments à la fois :

  1. Sélectionnez les éléments que vous souhaitez déplacer (cliquez sur l'outil Sélection, maintenez enfoncé le bouton MAJ puis cliquez sur tous les éléments que vous souhaitez déplacer).
  2. Positionnez le curseur de la souris dans l'un des éléments sélectionnés. La flèche se changera en [image].
  3. Cliquez sur l'un des éléments sélectionnés, maintenez enfoncé le bouton de la souris puis déplacez les éléments vers l'emplacement souhaité sur le formulaire.

Lorsque vous créez un champ d'entrée (champ de texte, nombre ou date), il est lié à son nom. Lorsque vous déplacez un champ de ce type, son nom est également déplacé.

Déplacer un ou plusieurs éléments tout en maintenant enfoncée la touche CTRL crée une copie de cet ou ces éléments.

Pour sélectionner des éléments qui font partie d'un groupe, cliquez à l'intérieur du groupe d'éléments. Lorsque vous déplacez un groupe, tous les éléments de ce groupe sont déplacés.

Vous pouvez afficher et modifier les propriétés communes des éléments sélectionnés.

Fusion d'éléments de formulaires

Utilisation de règles pour aligner les éléments de formulaires


Fusionner les éléments de formulaire

Fusionner des éléments de formulaire est utile si vous souhaitez conserver la relation de position des éléments sur le formulaire lorsque vous les déplacez.

Pour fusionner plusieurs éléments :

  1. Sélectionnez les éléments de formulaire que vous souhaitez grouper.
  2. Sélectionnez l'outil Fusionner dans la barre d'outil Édition.

Pour fractionner des éléments :

  1. Sélectionnez les éléments fusionnés que vous souhaitez fractionner.
  2. Sélectionnez l'outil Fractionner dans la barre d'outil Édition.

Pour ajouter un élément aux éléments précédemment fusionnés :

  1. Sélectionnez les éléments précédemment fusionnés.
  2. Maintenez appuyé la touche MAJ et sélectionnez l'élément que vous souhaitez ajouter au groupe.
  3. Sélectionnez l'outil Ajouter aux éléments fusionnés dans la barre d'outil Édition.


Utiliser les règles pour aligner les éléments du formulaire

Les règles sont un outil pratique pour aligner les éléments sur un formulaire. Les éléments qui doivent être alignés verticalement ou horizontalement peuvent être « reliés » à la règle appropriée. Lorsqu'une règle est déplacée, tous les éléments qui lui sont reliés seront aussi déplacés. Ainsi, vous n'aurez pas besoin de sélectionner les éléments manuellement à chaque fois que vous les déplacez.

Vous pouvez limiter les deux côtés d'un élément en fonction de deux règles parallèles. Dans ce cas, lorsque vous déplacez les règles, la taille de l'élément changera en conséquence. Si vous reliez plusieurs éléments à deux règles parallèles, vous pourrez modifier leurs tailles simultanément.

Ajouter des règles

Pour ajouter des règles sur une page :

  • Cliquez sur une des principales règles situées sur les bords du formulaire. Cliquer sur la règle horizontale ajoutera une règle verticale et vice versa.
  • Selectionnez l'outil [image] pour ajouter une règle horizontale ou l'outil [image] pour ajouter une règle verticale, puis cliquez à l'endroit où vous souhaitez mettre la nouvelle règle.

Relier les éléments aux règles

Pour relier un élément à une règle, vous devez mettre un des bords de l'élément sur la règle. Vous pourrez y parvenir en déplaçant la règle, en déplaçant l'élément ou en ajustant la taille de l'élément.

Si le mode reliage automatique est sur ( [image]), lorsque vous déplacerez une règle, elle sera automatiquement reliée à tous les éléments situés suffisamment près de la règle. Ce mode est désactivé par défaut.

Lorsque vous sélectionnez une règle, tous les éléments qui lui sont reliés seront marqués de la même couleur que celle utilisée pour caractériser la règle. Lorsque vous sélectionnez un objet relié à une règle, la petite équerre situé sur le côté relié de l'objet deviendra rouge, ainsi vous saurez en permanence à quelles règles est relié un élément et quels éléments sont reliés à une règle particulière.

Déplacer les règles et les éléments

Vous pouvez déplacer les règles de votre formulaire en les faisant glisser tout en appuyant sur le bouton gauche de la souris. Deux règles situées au même endroit fusionneront en une seule.

Lorsque vous déplacez une règle, tous les éléments qui lui sont liés se déplaceront aussi. Si un élément est relié à deux règles parallèles, sa taille changera lorsque vous déplacerez un des règles (à condition que cet élément permette modifier sa taille).

Ne pas relier des éléments

Pour ne pas relier un élément, sélectionnez-le simplement et déplacez-le loin de sa règle.

Supprimer des règles

Pour supprimer une règle, sélectionnez-la et cliquez sur Supprimer ou sélectionnez dans le menu la commande Delete.


Enregistrer et publier un formulaire ; vérifier la lisibilité par machine d'un formulaire

Le processus de création de formulaires consiste en plusieurs étapes dont la conception, les modifications apportées à la conception, l'impression, etc. Pour enregistrer les résultats provisoires de votre travail, utilisez la commande standard Save. Une fois le formulaire créé et sa conception finale approuvée, il est conseillé de publier le formulaire, c'est-à-dire de lui attribuer l'état Publié afin qu'il ne puisse pas arriver de modifications accidentelles à la conception finale.

Enregistrer un formulaire

Publier un formulaire

Garantir la lisibilité par machine


Enregistrement d'un formulaire

Pour enregistrer un formulaire, utilisez les commandes standard Save ou Save As… (Fichier>Save ou Fichier>Save As…).

La commande Save As… enregistre un formulaire ou un exemple de formulaire ou de page. Pour sélectionner un format, utilisez la liste déroulante Enregistrer en tant que type.

Les formulaires créés dans ABBYY FormDesigner 9.0 sont enregistrés au format de fichier *.fdd (fichiers de définition de formulaire).

Les exemples de formulaires sont des fichiers binaires avec l'extension *.dtf. Les exemples de pages sont enregistrés au format *.ptf, qui est une version modifiée du format *.fdd.


Garantir la lisibilité par machine

Vous pouvez vérifier votre formulaire pour vous assurer qu'il est lisible par machine à tout moment de la phase de création (Outils>Check Form).

Si aucune erreur n'a été détectée, vous verrez apparaître un message déclarant la réussite de la vérification.

Si des erreurs sont détectées, elles seront affichées en bas de la fenêtre à la fin de la vérification.

Un rapport présentera toutes les erreurs qui peuvent empêcher le bon traitement du formulaire par l'ordinateur. aucune ancre, aucun identificateur de formulaire, des éléments de formulaire sont trop près ou à cheval sur les marges du formulaire, etc.

Bouton | Description
Show Elements | Affiche un élément qui ne répond pas aux conditions de lisibilité par machine. Le bouton est disponible lorsqu'une ligne de rapport est sélectionnée.
Check Form | Utilisez ce bouton après avoir corrigé les erreurs pour vous assurer que votre formulaire est désormais lisible par machine.
Save Report… | Enregistrer le rapport des résultats de la vérification dans un fichier .TXT.


Publication d'un formulaire

Lorsque vous publiez un formulaire, vous lui assignez l'état Publié, ce qui signifie qu'aucun changement ne peut être apporté à la conception finale du formulaire. Lorsque vous publiez un formulaire, ABBYY FormDesigner 9.0 vérifie automatiquement votre formulaire afin de s'assurer qu'il est lisible par machine et lui attribue un identificateur de formulaire unique.

Pour publier un formulaire, utilisez la commande Publish Form (Fichier>Publish Form). Les formulaires publiés sont en lecture seule. Tous les éléments d'identificateur de formulaire ont une valeur numérique unique qui leur est assignée (la même pour tous les identificateurs de formulaire d'un formulaire donné) et l'état du formulaire passe d'Édité à Publié.

Publication d'un formulaire avec des avertissements

Lors de la publication, un formulaire est vérifié afin d'assurer sa lisibilité par machine. Si le programme détecte que votre formulaire n'est pas lisible par machine, la boîte de dialogue Publier le formulaire avec avertissements apparaîtra. Utilisez cette boîte de dialogue pour rendre votre formulaire lisible par machine ou pour publier votre formulaire malgré les avertissements.

Important !

L'utilisation d'un formulaire qui n'est pas lisible par machine peut dégrader la qualité de la reconnaissance.

La boîte de dialogue Publish Form with Warnings affiche le rapport sur les échecs de conformité aux exigences de lisibilité par machine.

Bouton | Description
Publish Anyway | Publie votre formulaire en ignorant sa non-conformité aux exigences de lisibilité par machine.
Edit Form | En bas de la fenêtre, un rapport est affiché pour afficher les erreurs détectées lors de la vérification du formulaire. Utilisez ce rapport pour corriger les erreurs et rendre votre formulaire lisible par machine.

Edition d'un formulaire publié

Pour effectuer des changements sur un formulaire Publié, sélectionnez la commande Save Editable Copy As… dans le menu Fichier. ABBYY FormDesigner 9.0 vous demandera d'enregistrer le formulaire sous un autre nom avant de pouvoir modifier sa conception. L'état du formulaire avec un nouveau nom passera de Publié à Ebauche et les valeurs des identificateurs de formulaires seront fixées à 0.

Conseil
Nous recommandons de publier vos formulaires une fois leur conception terminée. Ceci permettra de suivre tout changement apporté aux formulaires terminés et évitera d'imprimer des formulaires qui semblent être similaires mais qui sont en fait différents.


Exportation d'un formulaire

Une fois le formulaire créé, il peut être exporté vers différents formats d'images : images avec séparation de couleur, format spécial de définition de formulaire XML, formulaires PDF et InfoPath, fichiers Adobe Illustrator.

Certains types d'exportation ne sont disponibles que pour les formulaires publiés.

L'exportation vers des formats d'images est requise pour pouvoir envoyer le formulaire à un atelier d'impression.

L'exportation au format de définition de formulaire XML crée un fichier à partir duquel ABBYY FlexiCapture 9.0 peut créer automatiquement une définition de document pour le formulaire.

Exportation de formulaire vers un fichier image

Exportation de formulaire en Separate Image Files…

Exportation de formulaire au format de définition de formulaire XML (*.xfd)

Exportation de formulaire vers PDF Form…

Exportation de formulaire versInfoPath Form…

Exportation de formulaire versAdobe Illustrator File…


Exportation de formulaire vers un fichier image

Un formulaire peut être exporté vers un format image à tout moment pendant la phase de conception. Si le formulaire est dans l'état Ébauche, le mot « Ébauche » sera écrit au-dessus de l'élément Identificateur de formulaire. Si le formulaire est dans l'état Publié, l'identificateur de formulaire aura une apparence standard selon son type (code barres uniquement, code barres à chiffres ou chiffres uniquement).

Pour exporter un formulaire vers un fichier image, utilisez la commande Image File… (Fichier>Exporter vers…>Image File…).

ABBYY FormDesigner 9.0 peut exporter des formulaires vers les formats d'images suivants :
  • Bitmap, noir et blanc (*.bmp, *.dib, *.rle)
  • Bitmap, gris (*.bmp, *.dib, *.rle)
  • Bitmap, couleur (*.bmp, *.dib, *.rle)
  • DCX, noir et blanc (*.dcx)
  • DCX, gris (*.dcx)
  • DCX, couleur (*.dcx)
  • JBIG2 (*.jbig2, *.jb2)
  • JPEG, gris (*.jpg *.jpeg)
  • JPEG, couleur (*.jpg *.jpeg)
  • JPEG-2000, gris (*.jp2, *.j2k)
  • JPEG-2000, couleur (*.jp2, *.j2k)
  • PCX, noir et blanc (*.pcx)
  • PCX, gris (*.pcx)
  • PCX, couleur (*.pcx)
  • PNG, noir et blanc (*.png)
  • PNG, gris (*.png)
  • PNG, couleur (*.png)
  • TIFF, noir et blanc, non compressé (*.tif, *.tiff)
  • TIFF, noir et blanc, Group4 (*.tif, *.tiff)
  • TIFF, noir et blanc, Packbits (*.tif, *.tiff)
  • TIFF, noir et blanc, compression ZIP (*.tif, *.tiff)
  • TIFF, noir et blanc, compression LZW (*.tif, *.tiff)
  • TIFF, gris, non compressé (*.tif, *.tiff)
  • TIFF, gris, Packbits (*.tif, *.tiff)
  • TIFF, gris, compression JPEG (*.tif, *.tiff)
  • TIFF, gris, compression ZIP (*.tif, *.tiff)
  • TIFF, gris, compression LZW (*.tif, *.tiff)
  • TIFF, couleur, non compressé (*.tif, *.tiff)
  • TIFF, couleur, Packbits (*.tif, *.tiff)
  • TIFF, couleur, compression JPEG (*.tif, *.tiff)
  • TIFF, couleur, compression ZIP (*.tif, *.tiff)
  • TIFF, couleur, compression LZW (*.tif, *.tiff)
  • PDF (*.pdf)
  • EMF (*.emf)

Exportation d'images avec séparation de couleur

Il vous sera peut-être nécessaire d'enregistrer votre formulaire en couleur sous deux fichiers séparés afin qu'il puisse être imprimé dans une imprimerie. Un fichier contiendra les éléments qui doivent être imprimés en noir et l'autre fichier contiendra les éléments qui doivent être imprimés en couleur.

Sélectionnez Fichier>Exporter vers>Separate Image Files…. Les images seront enregistrées en tant que fichiers TIFF, le fichier en noir et blanc aura « _bw » dans son nom et le fichier en couleur « _color ».

Exportation de formulaires multipages

Les formulaires multipages peuvent être exportés dans n'importe quel format d'image pris en charge. En cas de formats multipages, vous pouvez enregistrer votre formulaire dans un fichier multipage. Sélectionnez l'option Multipage file lorsque vous exportez votre formulaire vers un fichier image. Si cette option n'est pas sélectionnée, chaque page sera enregistrée dans un fichier séparé.

Exportation vers un fichier TIFF avec la résolution de votre choix

Vous pouvez sélectionner la résolution d'un fichier TIFF dans l'onglet Export de la boîte de dialogue Options (Outils>Options…).

Remarque : La résolution TIFF doit être comprise entre 50 et 1200 dpi.


Exporter au format image avec séparation de couleur

Pour imprimer votre formulaire en deux couleurs, il vous faudra peut-être l'enregistrer en deux fichiers : l'un contenant la date à imprimer en noir et l'autre contenant les données à imprimer en couleur.

Vous pouvez exporter votre formulaire au format fichier image avec séparation de couleur à tout moment. Si le formulaire est Modifié, Ébauche sera marqué au-dessus de l'identificateur sur l'image. Si le formulaire est Publié, l'apparence de l'identificateur dépendra du type d'identificateur sélectionné.

Pour exporter votre formulaire au format fichier image avec séparation de couleur, sélectionnez Fichier>Exporter vers>Image avec séparation de couleur.

Les images seront enregistrées au format fichier TIFF. L'image en noir et blanc se verra ajouter « _bw » à son nom tandis que l'image en couleur se verra ajouter « _color ».


Exportation de formulaire au format de définition de formulaire XML (*.xfd)

Dans ABBYY FormDesigner 9.0, vous pouvez non seulement créer un formulaire mais également générer automatiquement une description de formulaire qui peut ensuite être utilisée pour créer une définition de document dans ABBYY FlexiCapture 9.0 Professional (une définition de document indique à une application de traitement de document à quel endroit chercher un type particulier d'information sur le document pour assurer une reconnaissance fiable des données entrées).

Pour créer une définition de formulaire, vous devez d'abord exporter votre formulaire dans un fichier *.xfd (format de définition de formulaire XML) puis l'ouvrir dans ABBYY FlexiCapture 9.0 Professional (lorsque vous créez une définition de document dans ABBYY FlexiCapture, importez simplement le fichier *.xfd créé et ABBYY FlexiCapture créera automatiquement la définition de document requise).

Vous ne pouvez exporter que des formulaires publiés au format de définition de formulaire XML.

Vous pouvez choisir le format (TIFF ou EMF) qu'ABBYY FormDesigner 9.0 utilisera pour enregistrer votre image de formulaire dans un fichier XFD.

Pour exporter un formulaire vers un fichier *.xfd, utilisez la commande XML Form Definition… (Fichier>Exporter vers>XML Form Definition…). Dans la boîte de dialogue Export to XML Form Definition qui apparaît, indiquez un nom pour le fichier *.xfd et parcourez les dossiers jusqu'au dossier où il sera stocké.


Exportation de formulaire au format PDF

Seuls les formulaires publiés peuvent être exportés au format PDF.

Avant de distribuer un formulaire électroniquement, il est recommandé de l'exporter au format PDF. Vous serez en mesure d'ajouter un ou plusieurs boutons de réponse au formulaire. Cliquer sur ces boutons enverra le formulaire rempli à l'adresse spécifiée.

Après avoir exporté une image au format PDF, vous pourrez la modifier dans d'autres programmes d'édition de formulaires, tels qu'Adobe Acrobat Professional.

Pour exporter votre formulaire au format PDF, cliquez sur Fichier>Exporter vers>PDF Form… dans le menu.

1. Avant de sélectionner les options d'enregistrement au format PDF, dans la boîte de dialogue Ways to Get Responses, choisissez si des boutons de réponse doivent être ajoutés à votre formulaire. Le ou les boutons apparaîtront dans le coin supérieur droit de la première page. Faites une sélection à partir des options suivantes (vous pouvez en sélectionner une, les deux ou aucune) :

- By e-mail (indiquez une adresse électronique)

- By HTTP (indiquez une URL)

2. Dans la boîte de dialogue Exporter vers PDF, indiquez un nom de fichier ainsi que le dossier où vous souhaitez enregistrer le fichier.

3. Vous pouvez sélectionner d'autres options d'enregistrement en cliquant sur Advanced… en bas de la boîte de dialogue Exporter vers PDF. Dans la boîte de dialogue PDF file options, vous pouvez définir les éléments suivants :

- Mode d'enregistrement (texte uniquement ou image uniquement)

- Paramètres de police (utiliser les polices système ou standard)

- Embed fonts (sélectionnez cette option si vous voulez incorporer des polices dans votre formulaire)

Remarque :
Un formulaire peut être exporté au format PDF s'il présente au moins un champ modifié.


Exportation de formulaire vers InfoPath

Vous pouvez exporter un formulaire vers Microsoft Office InfoPath à tout moment. Pour obtenir un fichier de projet source pour Microsoft Office InfoPath, cliquez sur Fichier>Exporter vers>InfoPath Form… dans le menu. Dans la boîte de dialogue Parcourir les dossiers, sélectionnez un dossier dans lequel vous souhaitez enregistrer le projet puis cliquez sur OK. Un sous-dossier du même nom que le formulaire enregistré s'affiche ; il contient les fichiers nécessaires à InfoPath. Dans InfoPath, ouvrez le fichier manifest.xsf.

Remarque :
  • Pour que les formulaires soient traités correctement par InfoPath, assurez-vous que Microsoft Office 2007 Service Pack 1 (SP1) est installé sur votre ordinateur.
  • Un formulaire peut être exporté vers InfoPath s'il présente au moins un champ modifié.


Exporter vers un fichier Adobe Illustrator

Vous pouvez exporter le formulaire vers un fichier Adobe Illustrator à tout moment.

Pour convertir le formulaire au format Adobe Illustrator, cliquez sur Fichier>Exporter vers>Adobe Illustrator File… Dans la boîte de dialogue Save As Adobe Illustrator file, entrez un nom de fichier et spécifiez le dossier où le fichier doit être enregistré.


Distribution d'un formulaire

Vous pouvez distribuer un formulaire que vous avez créé et publié sous ABBYY FormDesigner sur copie papier ou au format électronique (comme formulaire PDF).

Les formulaires électroniques peuvent être envoyés par courrier électronique ou publiés sur un site Web. Vous pouvez sélectionner une méthode de réponse (par courrier électronique ou via le site Web), avec la possibilité de traiter des résultats sur le serveur.

Le Form Distribution Wizard vous aide à sélectionner les bonnes options d'envoi. Pour démarrer l'Assistant, cliquez sur Fichier>Distribute Form… ou en cliquant sur [image] dans la barre d'outils Standard.

Le Form Distribution Wizard vous guide dans toutes les étapes requises pour la distribution d'un formulaire :

  1. Indiquez si vous souhaitez distribuer votre formulaire sur copie papier ou au format électronique (ne sélectionnez qu'une seule option) :
    • Hard copy (paper printouts)
    • Soft copy (computer files)

    Si vous sélectionnez Hard copy (paper printouts), l'Assistant vous invite à imprimer le formulaire puis se ferme.

    Si vous sélectionnez Soft copy (computer files), l'Assistant vous invite à saisir des options d'envoi et de réception.

  2. Sélectionnez la méthode de distribution du formulaire (ne sélectionnez qu'une seule option) :
    • Send to a group of e-mail recipients : si vous sélectionnez cette option, cliquez sur Terminer en bas de la fenêtre de l'assistant. Une nouvelle fenêtre de message s'ouvre dans votre client de messagerie. Le formulaire PDF sera joint au message. Ainsi, vous n'avez plus qu'à indiquer le destinataire et à saisir le texte du message. Après l'envoi du message électronique, revenez à ABBYY FormDesigner.
    • Save and send later : si vous sélectionnez cette option, vous devez préciser le dossier dans lequel enregistrer le formulaire PDF. Le formulaire est enregistré par défaut sous Mes documents et le fichier porte le même nom que le formulaire. Pour indiquer un dossier et un nom de fichier différent, cliquez sur le bouton "..." à côté de cette option, puis cliquez sur Terminer en bas de la fenêtre.
    • Publish to a network location : si vous sélectionnez cette option, indiquez l'adresse URL à laquelle vous souhaitez publier votre formulaire PDF. Example: http://www.example.com/form.pdf. Cliquez sur Terminer en bas de la fenêtre de l'Assistant pour publier le formulaire.
    Important !

    Vous devez avoir des droits d'écriture sur le site Web dans lequel vous désirez publier le formulaire.

  3. Sélectionnez une méthode de réponse (vous pouvez sélectionner une seule option, les deux options ou aucune option) :
    • By e-mail : indiquez l'adresse électronique à laquelle les formulaires remplis doivent être envoyés.
    • By HTTP : indiquez l'adresse URL du site Web sur lequel les formulaires remplis doivent être soumis et traités.

    En fonction de la (des) option(s) sélectionnée(s), un ou des boutons s'affichent dans le coin supérieur droit de la première page du formulaire. Cliquez sur ces boutons pour envoyer le formulaire à l'adresse électronique ou au site Web indiqué.

    Si vous préférez recevoir les formulaires remplis sur un site Web, vous pouvez configurer le site Web pour traiter les formulaires soumis automatiquement.


Impression d'un formulaire

Pour imprimer un formulaire :

  1. Sélectionnez Imprimer… dans le menu Fichier.

  2. Dans la boîte de dialogue Imprimer qui apparaît, définissez les paramètres d'impression requis.

Important !

Lorsque vous imprimez un formulaire non publié, la mention « Ceci est une ébauche de formulaire » sera imprimée dans ses marges.


Impression de formulaires partiellement remplis

ABBYY FormDesigner 9.0 peut imprimer aussi bien des formulaires vierges que des formulaires qui contiennent déjà des données dans certains champs. Par exemple, vous pouvez imprimer des formulaires dont les champs de noms sont préremplis afin que chaque formulaire soit adressé à une personne en particulier. Les noms en question peuvent être récupérés à partir d'un fichier ou d'une base de données.

Pour remplir des formulaires vierges avec des données provenant d'une base de données et les imprimer :

  1. Dans le menu Fichier, sélectionnez Imprimer les formulaires remplis>With Values from Database…
  2. Définissez les paramètres de connexion à la base de données.

Important ! Les champs correspondants doivent avoir les mêmes noms que leurs équivalents sur le formulaire. Lorsque vous disposez les données dans un tableau, indiquez le nom complet au format suivant : <Tableau>|<Col>|<#Ligne>, où <Tableau> est le nom du tableau, <Col> est le nom de la colonne du tableau et <#Ligne> est le numéro de la cellule (la numérotation commence à 0).

Pour remplir des formulaires vierges avec des données provenant d'un fichier et les imprimer :

  1. Dans le menu Fichier, sélectionnez Imprimer les formulaires remplis>With Values from File…
  2. Indiquez le chemin vers le fichier.

Important ! Vous devez utiliser des fichier *.csv ou .txt en codage Unicode. La première ligne du fichier doit contenir les noms des champs, étant donné que le programme va considérer cette ligne comme un en-tête. Les noms de champs du fichier doivent être identiques aux noms des champs du formulaire. Lorsque vous disposez les données dans un tableau, indiquez le nom complet au format suivant : <Tableau>|<Col>|<#Ligne>, où <Tableau> est le nom du tableau, <Col> est le nom de la colonne du tableau et <#Ligne> est le numéro de la cellule (la numérotation commence à 0).

Lorsque vous imprimez des formulaires partiellement remplis, le programme reconnaît les types de données du fichier ou de la base de données et les imprime en conséquence. Par exemple, s'il y a un champ de coche sur le formulaire que vous souhaitez préremplir pour vos clients, le champ correspondant du fichier ou de la base de données peut avoir les valeurs True/False ou 1/0. Pour un groupe de case d'option, créez une colonne séparée avec le nom de chaque option puis dans ces colonnes, indiquez par « yes » (pour oui) ou « no » (pour non) si l'option correspondante doit être sélectionnée.

La police des données imprimées correspond à la police du conseil définie dans la fenêtre des propriétés de l'élément (onglet Tip).


Annexe

  • Raccourcis clavier
  • Raccourcis clavier (édition de texte)
  • Glossaire des termes
  • Brevets
  • Technologies tierces


Raccourcis clavier

Menu | Commande | Touche de raccourci
Fichier | New… | Ctrl+N
 | Open… | CTRL+O
 | Save | CTRL+S
 | Print… | CTRL+P
Éditer | Undo | CTRL+Z
 | Redo | CTRL+Y
 | Cut | CTRL+X
 | Copy | CTRL+C
 | Paste | CTRL+V
 | Delete | SUPPR
 | Duplicate | CTRL+D
 | Delete Block | MAJ+SUPPR
 | Select All | CTRL+A
 | Select by Type… | CTRL+MAJ+A
Afficher | Select by Type… | ALT+ENTRÉE
 | Zoom/Best Fit | CTRL+MAJ+NUM /
 | Zoom/Zoom Out | CTRL+MAJ+NUM -
 | Zoom/Zoom In | CTRL+MAJ+NUM+
Élément | Dessiner un élément/Selection Tool | ÉCHAP
 | Dessiner un élément/Entry Field | E
 | Dessiner un élément/Date Field | D
 | Dessiner un élément/Numeric Field | N
 | Dessiner un élément/Checkmark Field | C
 | Dessiner un élément/Group of Elements | G
 | Dessiner un élément/Table | T
 | Dessiner un élément/Vertical Separator | V
 | Dessiner un élément/Horizontal Separator | H
 | Dessiner un élément/Text | S
 | Dessiner un élément/Line Separator | L
 | Dessiner un élément/Frame | F
 | Dessiner un élément/Picture | P
 | Dessiner un élément/Anchor | A
 | Dessiner un élément/Identifier | I
 | Aligner/Left | Alt+Flèche gauche
 | Aligner/Center Horizontally | Maj.+F9
 | Aligner/Right | Alt+Flèche droite
 | Aligner/Top | Alt+Flèche haut
 | Aligner/Center Vertically | Ctrl+F9
 | Aligner/Bottom | Alt+Flèche bas
 | Taille/Make Same Width | MAJ+F8
 | Taille/Make Same Height | CTRL+F8
 | Taille/Make Same Width and Height | CTRL+MAJ+F8
 | Merge | CTRL+MAJ+G
 | Split | CTRL+SHIFT+U
Outils | Check Form | F9
 | Options… | CTRL+MAJ+O
Aide | Help Topics | F1


Raccourcis clavier (édition de texte)

Pour | Appuyez sur
Déplacer le curseur d'une ligne vers le haut. | Flèche HAUT
Déplacer le curseur d'une ligne vers le bas. | Flèche BAS
Positionner le curseur sur la première ligne. | PAGE PRÉCÉDENTE
Positionner le curseur sur la dernière ligne. | PAGE SUIVANTE
Déplacer le curseur d'un symbole vers la droite. | Flèche DROITE
Déplacer le curseur d'un symbole vers la gauche. | Flèche GAUCHE
Déplacer le curseur vers la droite et le positionner au début du mot. | CTRL+flèche DROITE
Déplacer le curseur vers la gauche et le positionner au début du mot. | CTRL+flèche GAUCHE
Positionner le curseur sur le début de la ligne. | ORIGINE
Positionner le curseur sur la fin de la ligne. | FIN
Déplacer le curseur au début du texte. | CTRL+ORIGINE
Déplacer le curseur à la fin du texte. | CTRL+FIN
Supprimer le texte sélectionné. (Si aucun texte n'est sélectionné, le symbole se situant à droite est supprimé.) | SUPPR
Supprimer le symbole se trouvant avant le curseur. | RETOUR ARRIÈRE
Quitter le mode édition de texte sans enregistrer les modifications effectuées. | ÉCHAP
Enregistrer toutes les modifications effectuées et quitter le mode édition de texte. | ENTRÉE
Aller à la ligne suivante. | CTRL+ENTRÉE


Brevets

Numéros de brevets U.S. 5,258,855, 5,369,508, 5,625,465, 5,768,416 et 6,094,505


Technologies tierces

Logiciel JasPer

© 1999-2000, Image Power, Inc. et l'Université de Colombie britannique, Canada.
© 2001-2002 Michael David Adams.
Tous droits réservés.

Plus

LICENCE PUBLIQUE JPEG-2000 IMAGE POWER

************************************

OCTROI :

Par la présente, toute personne (« l'Utilisateur ») obtenant une copie de ce logiciel et de la documentation associée se voit accorder gratuitement le droit d'utilisation du Logiciel JasPer sans aucune restriction, y compris le droit d'utiliser, copier, modifier, fusionner, publier, distribuer, concéder sous licence et/ou vendre des copies du Logiciel JasPer (dans des formulaires sources et binaires) et d'octroyer ces mêmes droits à toute personne à qui le Logiciel JasPer est fourni sous réserve que les conditions de licence ci-dessous soient satisfaites.

Conditions de licence

******************

A. Les redistributions du code source doivent conserver l'avis ci-dessus sur les droits d'auteur, et cette liste de conditions et l'avis de non-responsabilité suivant.

B. Les redistributions sous forme binaire doivent reproduire l'avis ci-dessus sur les droits d'auteur, et cette liste de conditions et l'avis de non-responsabilité suivant, dans la documentation et/ou tout autre matériel fournis lors de la distribution.

C. Le nom de Image Power, Inc. ou de tout autre collaborateur (incluant de manière non limitative l'Université de Colombie britannique et Michael David Adams) ne peuvent être utilisés dans le but de recommander ou promouvoir des produits dérivés de ce logiciel sans autorisation écrite spécifique au préalable.

D. L'Utilisateur s’engage à ne pas poursuivre Image Power, Inc., l'Université de Colombie britannique, Michael David Adams ou tout autre collaborateur (collectivement les « concédants de licence ») pour violation des droits à la propriété intellectuelle (« IPR ») détenus par l'Utilisateur à l'égard de technologies dont il est propriétaire ou pour lesquelles il dispose des droits de licence ou de concession de licence et constituant un élément requis pour pouvoir revendiquer la conformité à la norme ISO/IEC 15444-1 (c'est-à-dire JPEG-2000 Partie 1). « IPR » renvoie au droit international, légal ou coutumier, sur la propriété intellectuelle, exercé ou non, incluant de manière non limitative tous les (i) brevets et applications de brevet dont l'Utilisateur détient la propriété ou la concession de licence ; (ii) droits associés à des œuvres d'auteur y compris le copyright, les applications de copyright, les dépôts de copyright, ainsi que les droits, applications et dépôts légaux concernant les topographies de circuits intégrés ; (iii) droits relatifs à la protection de secrets commerciaux et d'informations confidentielles ; (iv) droits analogues aux droits mentionnés aux sous-sections (i), (ii) ou (iii) ou tout autre droit de propriété sur un actif incorporel (autre que les droits concernant les marques commerciales, marques de service ou présentations de marchandises) ; et (v) partages, prorogations, renouvellements, reconductions, et extensions des droits précités (dans la mesure applicable) aujourd'hui existants et ci-après déposés, émis ou acquis.

E. Dans le cas où l'Utilisateur engagerait des poursuites pour violation de droits contre un ou plusieurs concédants de licence, ceux-ci seraient alors autorisés à résilier la licence de l'Utilisateur ainsi que toutes les licences concédées par l'Utilisateur à d'autres parties.

F. Ce logiciel ne peut être utilisé qu'avec des produits logiciels ou matériels conformes à la norme ISO/IEC 15444-1 (c'est-à-dire JPEG-2000 Partie 1). Aucune autorisation ou licence d'utilisation pour ce Logiciel n'est octroyée pour des produits ne satisfaisant pas la norme ISO/IEC 15444-1. Le standard JPEG-2000 Partie 1 peut être acheté auprès de l'Organisation des normes internationales (ISO).

CETTE EXCLUSION DE GARANTIE CONSTITUE UNE COMPOSANTE ESSENTIELLE DE CETTE LICENCE.

AUX TERMES DES PRÉSENTES, SEULE CETTE EXCLUSION RÉGIT L'AUTORISATION D'UTILISATION DU LOGICIEL JASPER. CE CONTRAT DE LICENCE PRÉVOIT QUE LE LOGICIEL JASPER EST FOURNI « EN L'ÉTAT » PAR LES CONCÉDANTS ET COLLABORATEURS SANS GARANTIE D'AUCUNE SORTE, EXPLICITE OU IMPLICITE, Y COMPRIS, ET DE MANIÈRE NON LIMITATIVE, LA GARANTIE RELATIVE À L'ABSENCE DE DÉFAUTS, LA COMMERCIALISATION, L'ADÉQUATION À UN OBJECTIF PARTICULIER OU LA CONTREFAÇON DU LOGICIEL JASPER. LES UTILISATEURS AYANT L'INTENTION D'UTILISER LE LOGICIEL JASPER OU UNE VERSION MODIFIÉE DU LOGICIEL CONJOINTEMENT AVEC DES PRODUITS LOGICIELS OU MATÉRIELS SONT INFORMÉS QUE CETTE UTILISATION PEUT ENFREINDRE DES DROITS RELATIFS À DES BREVETS, COPYRIGHTS, MARQUES COMMERCIALES OU AUTRE DROIT DE PROPRIÉTÉ INTELLECTUELLE.

L'INTÉGRALITÉ DU RISQUE DÉCOULANT DE LA QUALITÉ OU DES PERFORMANCES DU LOGICIEL JASPER INCOMBE À L'UTILISATEUR. DANS L’ÉVENTUALITÉ OÙ UNE PARTIE DU LOGICIEL JASPER S'AVÉRERAIT DÉFECTUEUSE À CERTAINS ÉGARDS, L'UTILISATEUR (ET NON LES DÉVELOPPEURS INITIAUX, L'UNIVERSITÉ DE COLOMBIE BRITANNIQUE, IMAGE POWER, INC., MICHAEL DAVID ADAMS OU TOUT AUTRE COLLABORATEUR) PRENDRA À SA CHARGE LE COÛT DES RÉVISIONS, RÉPARATIONS OU CORRECTIONS REQUISES. EN AUCUN CAS, UN CADRE LÉGISLATIF, QU'IL S'AGISSE D'UNE ACTION DÉLICTUELLE (NÉGLIGENCE COMPRISE), D'UN CONTRAT OU D'UNE ABSENCE DE CONTRAT, NE SAURAIT TENIR RESPONSABLES LES DÉVELOPPEURS INITIAUX, L'UNIVERSITÉ DE COLOMBIE BRITANNIQUE, IMAGE POWER, INC., MICHAEL DAVID ADAMS, TOUT AUTRE COLLABORATEUR, OU TOUT DISTRIBUTEUR DU LOGICIEL JASPER OU FOURNISSEUR DES PARTIES CI-DESSUS MENTIONNÉES DES DOMMAGES CONSÉCUTIFS, INDIRECTS, SPÉCIAUX OU ACCIDENTELS DE TOUTES SORTES, Y COMPRIS ET DE MANIÈRE NON LIMITATIVE, DES DOMMAGES SUBIS SUITE À LA PERTE DE FONDS COMMERCIAUX, À UN ARRÊT DU TRAVAIL, À UNE DÉFAILLANCE INFORMATIQUE OU À UN DYSFONCTIONNEMENT, OU TOUT AUTRE PERTE OU DOMMAGE COMMERCIAL, QUAND BIEN MÊME L'UTILISATEUR AURAIT ÉTÉ INFORMÉ DE L'ÉVENTUALITÉ DE TELS DOMMAGES OU AURAIT DÛ EN AVOIR CONNAISSANCE. LE LOGICIEL JASPER ET LA TECHNOLOGIE SOUS-JACENTE NE SONT PAS À L'ÉPREUVE DE PANNES ET NE SONT PAS CONÇUS, FABRIQUÉS OU PRÉVUS POUR ÊTRE UTILISÉS OU REVENDUS EN TANT QU'ÉQUIPEMENT DE CONTRÔLE EN LIGNE DANS DES ENVIRONNEMENTS ALÉATOIRES REQUÉRANT DES PERFORMANCES INFAILLIBLES, TELS QUE DES INSTALLATIONS NUCLÉAIRES, DES SYSTÈMES DE COMMUNICATIONS OU DE NAVIGATION AÉRIENNE, LE CONTRÔLE AÉRIEN, DES ÉQUIPEMENTS DE SURVIE OU DES SYSTÈMES D'ARMES POUR LESQUELS LA DÉFAILLANCE DU LOGICIEL JASPER OU DE LA TECHNOLOGIE OU DES PRODUITS SOUS-JACENTS ENTRAÎNERAIT DIRECTEMENT LA MORT, DES PRÉJUDICES CORPORELS OU DES DOMMAGES PHYSIQUES OU ENVIRONNEMENTAUX GRAVES (« ACTIVITÉS À HAUT RISQUE »). LE CONCÉDANT DE LICENCE EXCLUT PARTICULIÈREMENT TOUTE GARANTIE EXPRESSE OU IMPLICITE D'ADÉQUATION AUX ACTIVITÉS À HAUT RISQUE. L'UTILISATEUR NE POURRA PAS SCIEMMENT UTILISER, DISTRIBUER OU REVENDRE LE LOGICIEL JASPER OU LA TECHNOLOGIE OU LES PRODUITS SOUS-JACENTS DANS LE CADRE D'ACTIVITÉS À HAUT RISQUE ET IL VEILLERA À FOURNIR Á SES CLIENTS ET UTILISATEURS FINAUX DE SES PRODUITS UNE COPIE DE L'AVIS STIPULÉ DANS CETTE SECTION.

MARQUES COMMERCIALES

QuickScan est une marque commerciale et Captiva est une marque déposée de Captiva Software Corporation.

KODAK est une marque commerciale de Eastman Kodak Company.


Achat de FormDesigner 8.0

Achat d'ABBYY FormDesigner 9.0

Pour plus d'informations sur la gestion complète des données et les solutions d'acquisition d'ABBYY, visitez les sites www.abbyy.com et www.FlexiCapture.com.

Pour commander votre copie d'ABBYY FlexiCapture 9.0 ou pour obtenir plus d'informations sur le produit, veuillez nous contacter à l'adresse suivante :registration@abbyy.com

Vous pouvez acheter des polices supplémentaires et une prise en charge de polices multilingues sur www.paratype.com/shop/.


Bureaux d'ABBYY

Amérique du Nord et Amérique centrale

Les clients résidant aux États-Unis, au Canada, au Mexique ou dans d'autres pays d'Amérique Centrale peuvent contacter :

ABBYY USA

Téléphone : +1 408 457 9777
Fax : +1 408 457 9778
Adresse : 880 North McCarthy Blvd., Suite #220 Milpitas, CA 95035, Etats-Unis
Adresse électronique : sales@abbyyusa.com
Adresse électronique de support : support@abbyyusa.com
http://www.abbyyusa.com

Europe de l'Ouest

Les clients résidant en Autriche, au Benelux, au Danemark, en France, en Allemagne, en Grèce, en Italie, en Irlande, en Norvège, au Portugal, en Espagne, en Suède, en Suisse, au Royaume-Uni ou dans d'autres pays d'Europe de l'Ouest peuvent contacter :

ABBYY Europe GmbH

Téléphone : + 49 (0) 89-511159-0
Fax : + 49 (0) 89-511159-59
Adresse : Elsenheimerstrasse 49, 80687 Munich, Allemagne
Adresse électronique : sales@abbyyeu.com
Adresse électronique de support : support@abbyyeu.com
http://www.abbyyeu.com

Japon

Les clients résidant au Japon peuvent contacter :

ABBYY Japon

Téléphone : +81 42 795 1901
Fax : +81 42 795 1901
Adresse : 658-1 Tsuruma, Machida-shi, Tokyo 194-8510
Adresse électronique : sales@abbyyusa.com
Adresse électronique de support : support@abbyyusa.com
http://www.abbyy.com

Europe de l'Est et Europe méditerranéenne

Les clients résidant en Albanie, en Bosnie-Herzégovine, en Bulgarie, en Croatie, en République Tchèque, en Hongrie, en Israël, en Macédoine, en Moldavie, au Monténégro, en Pologne, en Roumanie, en Serbie, en Slovaquie, en Turquie ou en Ukraine peuvnet contacter :

ABBYY Ukraine

Tél. : + 38 044 490-9999
Fax : + 38 044 490-9461
Adresse : P.O. Box #23, 02002 Kiev, Ukraine
Adresse électronique : forms@abbyy.ua
Support technique :
Tél : +380 44 490 9463
Adresse électronique : formssupport@abbyy.ua
http://www.abbyy.com

Reste du monde

Les clients ne résidant pas dans les pays mentionnés ci-dessus peuvent contacter :

ABBYY Russie

Tél. : +7 495 783-3700
Fax : +7 495 783-2663
Adresse : P.O. Box 54, Moscou 129301, Russie, ABBYY
Adresse électronique : sales@abbyy.com
Adresse électronique de support : support@abbyy.com
http://www.abbyy.com

Boutique en ligne

Russie : http://store.abbyy.ru
Autres pays : http://buy.abbyy.com


Support technique

Pour toute question concernant le fonctionnement d'ABBYY FormDesigner 9.0, veuillez consulter en premier lieu la documentation fournie avec le logiciel (Manuel d'utilisation et Aide). Vous pouvez également parcourir la section Support technique sur notre site www.abbyy.com.

Nos experts du support technique auront besoin des informations suivantes pour répondre au mieux à vos questions :

  • Vos nom et prénom

  • Le nom de votre entreprise

  • Votre numéro de téléphone (ou fax ou adresse électronique)

  • Le numéro de série de votre produit ABBYY FlexiCapture

  • Le numéro de version (consultez Aide/About…/Version)

  • Une description générale de votre problème, avec le texte complet du message d'erreur (le cas échéant)

  • Votre ordinateur et le type de processeur

  • La version de votre système d'exploitation Windows

Et toute autre information jugée importante.

Vous pouvez obtenir certaines informations automatiquement en cliquant sur le bouton System Info… dans la boîte de dialogue About ABBYY FormDesigner 9.0 (menu Aide).

Important ! Seuls les utilisateurs enregistrés peuvent bénéficier du support technique. Vous pouvez enregistrer votre copie de l'application sur notre s ite web.

Bureaux d'ABBYY


Police

Vous pouvez modifier le texte en utilisant la boîte de dialogue Font (menu contextuel Texte en mode édition > Font).

Pour voir la boîte de dialogue Font

Élément

Description

Onglet Police

Police

Sélectionne une police pour la portion de texte sélectionnée.

Style de police

Sélectionne un style de police pour la portion de texte sélectionnée :

  • Normal
  • Italique
  • Gras
  • Gras italique

Taille

Sélectionne une taille de police pour la portion de texte sélectionnée.

Couleur

Sélectionne une couleur pour la portion de texte sélectionnée*.

Effets

Sélectionne des effets de texte : souligné ou barré.

Onglet Espacement des caractères

Espacement

Modifie l'espacement de la portion de texte sélectionnée.

Intervalles

Augmente ou diminue les intervalles entre les caractères dans la portion de texte sélectionnée (c'est-à-dire que le texte sera étiré ou compressé).

Position

Définit la position de la portion de texte sélectionnée : normale, plus haute ou plus basse que le reste du texte.

* La plage de couleurs disponible dépend de votre type de formulaire (arrière-plan en noir et blanc ou en couleur).

Remarque : Des polices supplémentaires pour différentes langues peuvent être achetées sur http://www.paratype.com/shop/.


Glossaire de termes

A

ABBYY FormDesigner

ABBYY FormDesigner est une application logicielle de création de formulaires lisibles par machine traités avec ABBYY FlexiCapture. La conception du formulaire constitue une étape importante de la création du formulaire, car toutes les autres étapes (à savoir, la numérisation, la reconnaissance, la vérification et l'exportation) dépendent de l'exactitude du formulaire initial et de son aptitude à être traité par machine.

Ancre

Elément de formulaire lisible par machine utilisé pour associer un formulaire et son modèle et pour déterminer son orientation au cours du traitement.

C

Cadre

Élément d'un formulaire lisible par machine englobant une zone dans un formulaire.

Cellule de caractère

Petit rectangle dans lequel un seul caractère doit être saisi (ex : une lettre ou un chiffre).

Champ d'entrée

Élément de formulaire lisible par machine dans lequel du texte sera saisi par la personne qui remplit le formulaire.

Champ de coche

Élément de formulaire lisible par machine (généralement une case à cocher) dans lequel une coche (ex : croix, coche, etc) est inscrite par la personne qui remplit le formulaire.

Création de formulaire

Le processus est composé des étapes suivantes : analyse, conception et impression.

E

Exemple de formulaire

Un exemple pouvant être utilisé pour créer d'autres formulaires dans ABBYY FormDesigner. Les exemples sont stockés en tant que fichiers binaires et ont l'extension *.dtf.

Exemple de page

Un exemple pouvant être utilisé pour créer de nouvelles pages dans ABBYY FormDesigner. Les exemples sont stockés en tant que fichiers binaires et ont l'extension *.ptf.

Exigences pour formulaires lisibles par machine

Les exigences pour le type et l'apparence du formulaire, ainsi que le positionnement des éléments de formulaire. Lorsque ces exigences sont respectées, la qualité maximale de reconnaissance peut être obtenue.

F

Formulaire

Un document composé d'une ou plusieurs pages et rempli à la main ou à l'aide d'une imprimante ou d'une machine à écrire.

Formulaire linéaire noir et blanc

Ces formulaires n'ont généralement pas d'arrière-plan. Toutes les bordures de champ (cellules de caractères, champs de coche et autres éléments de formulaire) sont constituées de lignes noires continues.

Formulaire lisible par machine

Un formulaire pouvant être traité par ordinateur.

Formulaire noir et blanc avec arrière-plans tramés

Les champs de ce type de formulaire sont représentés par de simples espaces blancs (en général, des rectangles) sur un arrière-plan tramé. L'arrière-plan est constitué de points distincts.

Formulaire noir et blanc avec bordures tramées

Ces formulaires n'ont aucun arrière-plan. Tous les bords des champs (bords des cellules de caractères, champs de coche et autres éléments de formulaire) sont constitués de lignes tramées, soit des suites de petits points noirs.

Formulaire simili détouré

Ces formulaires ont un arrière-plan de couleur claire avec des rectangles blancs servant de cellules de caractères, champs de coche, etc.

G

Groupe d'éléments

Elément de formulaire lisible par machine qui regroupe plusieurs éléments connectés logiquement

I

Identificateur de formulaire

Élément d'un formulaire lisible par machine permettant au programme de traitement de formulaire d'identifier chaque formulaire.

Identificateur de page

Élément d'un formulaire lisible par machine permettant au programme de traitement de formulaire d'identifier chaque page de formulaire.

Image

Éléments d'un formulaire lisible par machine contenant une image.

L

Lisibilité machine

Pertinence d'un formulaire pour le traitement automatisé.

M

Marque de référence

Elément de formulaire lisible par machine utilisé pour associer un formulaire et son modèle et pour déterminer son orientation au cours du traitement.

P

Publication de formulaire

Lorsque vous publiez un formulaire, le statut Publié lui est assigné. Ceci empêche tout changement sur le formulaire. En même temps, le formulaire sera vérifié pour la lisibilité machine et un numéro unique est assigné aux identificateurs de formulaire (le même pour tous les identificateurs).

S

Séparateur de ligne

Élément de formulaire lisible par machine de la forme d'une ligne noire verticale ou horizontale.

T

Tableau

Elément d'un formulaire lisible par machine contenant des colonnes d'éléments du même type.

Texte

Elément de formulaire lisible par machine contenant des descriptions et du texte explicatif, comme des noms de champs, des instructions indiquant comment remplir le formulaire, etc.

X

XFD format

XML Form Definition (définition de formulaire XML ; *.xfd) est le format de fichiers de formulaires créés dans ABBYY FormDesigner. Les fichiers de définition de formulaire XML peuvent être automatiquement convertis en modèles pour ABBYY FlexiCapture.


Glossaire des termes

A C E F G I L M P S T


Boîte de dialogue Options : Exporter

Boîte de dialogue Options : Export

Option

Description

XFD

Format d'enregistrement de l'image dans fichier xfd

Dans la zone de liste déroulante, sélectionnez le format dans lequel votre image de formulaire sera enregistrée lors de l'exportation vers un fichier XFD. Vous avez deux possibilités :

  • EMF
  • TIFF

Image

Resolution of TIFF files

Spécifie la résolution pour les fichiers TIFF dans laquelle les formulaires sont exportés.


Boîte de dialogue Propriétés : Ancre

Boîte de dialogue Element Properties : Anchor

Option | Description
Type | Définit le type d'ancre qui sera utilisé dans le formulaire. Un formulaire peut contenir des ancres d'un seul type.
Size | Fixe la taille de l'ancre: la taille de chaque côté du carré noir ou la taille de chaque côté de l'angle.
Line width (angles uniquement) | Définit la largeur de ligne des côtés de l'angle.


Boîte de dialogue Propriétés du formulaire

Boîte de dialogue Form Properties

Option | Description
Author | Nom de la personne qui a créé le formulaire.
Status | État du formulaire : Brouillon, si des modifications sont autorisées sur le formulaire et Publié, si le formulaire est en lecture seule.
Date published | Date de publication du formulaire.
Form identifier | Valeur de l'identificateur de formulaire.
File | Chemin d'accès au fichier contenant le formulaire.


Boîte de dialogue Paramètres de la page : Général

Boîte de dialogue Page Settings : General

Option | Description
Name | Spécifie le nom d'une page.
Apparitions min | Détermine le nombre minimum d'apparitions de la page actuelle dans le formulaire.
Min occurs | Détermine le nombre maximum d'apparitions de la page actuelle dans le formulaire.
Page identifier | Affiche la valeur de l'identificateur de page.


Boîte de dialogue Paramètres de la page : Taille

Boîte de dialogue Page Settings : Size

Option | Description
Page Size | Sélectionnez l'un des formats de page standard dans la zone de liste déroulante (A3, A4 ou A5), ou définissez votre format de page personnalisé. Pour définir votre propre format de page, sélectionnez l'option Format personnalisé dans la liste et spécifiez la largeur et la hauteur souhaitées dans les champs correspondants.
Width | Définit la largeur de la page.
Height | Définit la hauteur de la page.
Orientation |
Portrait | Définit l'orientation de la page sur portrait.
Landscape | Définit l'orientation de la page sur paysage.
Marges |
Top | Définit la largeur de la marge supérieure.
Bottom | Définit la largeur de la marge inférieure.
Left | Définit la largeur de la marge de gauche.
Right | Définit la largeur de la marge de droite.


Boîte de dialogue Paramètres de la page : Couleur

Boîte de dialogue Page Settings : Color

Propriété

Description

Style

Définit le style de formulaire :

  • Formulaire simili détouré gris

  • Formulaire noir et blanc

  • Formulaire simili détouré orange

  • Formulaire simili détouré rouge

  • Formulaire simili détouré vert

Arrière-plan de page*

Color*

Sélectionne une couleur d'arrière-plan de page à partir de la liste déroulante.

Remarque : La couleur ne peut être sélectionnée que pour les formulaires en simili détouré couleur. Blanc est la couleur par défaut pour les formulaires en noir et blanc.

Size*

Utilisez cette liste pour sélectionner la zone couverte par la couleur d'arrière-plan. Vous avez deux choix possibles :

  • Page entière (toute la page sera remplie, exceptés les éléments de formulaire).

  • Marges intérieures (la page sera remplie mais les marges et les éléments de formulaire seront laissés en blanc).

* Cette propriété ne peut être définie que pour les formulaires en simili détouré.


Boîte de dialogue Propriétés : Alignement

Boîte de dialogue Element Properties : Alignment

Option

Description

Horizontal

Aligne horizontalement le texte à l'intérieur de l'élément :

  • Centre - centre le texte horizontalement

  • Gauche - aligne le texte sur le bord gauche de l'élément

  • Droite - aligne le texte sur le bord droit de l'élément

Vertical

Aligne verticalement le texte à l'intérieur de l'élément :

  • Bas - aligne le texte au bord inférieur de l'élément

  • Centre - centre le texte verticalement

  • Haut - aligne le texte sur le bord supérieur de l'élément

Orientation

Fixe l'orientation du texte.

  • Normal (horizontal) - le texte sera placé horizontalement, de gauche à droite
  • Vertical (haut en bas) - le texte sera placé verticalement, de haut en bas
  • Vertical (bas en haut) - le texte sera placé verticalement, de bas en haut


Boîte de dialogue Propriétés : Arrière-plan

Boîte de dialogue Element Properties : Background

Option | Description
Same as form background | Applique à l'arrière-plan de l'élément la même couleur qu'à l'arrière-plan du formulaire.
Other | Sélectionne une couleur d'arrière-plan de l'élément dans la zone de liste déroulante. La gamme de couleurs disponibles dépend du type de votre formulaire (blanc et noir ou couleur).


Boîte de dialogue Propriétés : Champ de coche

Boîte de dialogue Element Properties : Checkmark Field

Option

Description

Type

Forme du champ de coche :

  • Carré

  • Cercle

Position

Définit la position du champ de coche par rapport au texte descriptif :

  • A gauche du texte - champ de coche à gauche du texte

  • A droite du texte - champ de coche à droite du texte

  • Au-dessus du texte - champ de coche au-dessus du texte

  • En dessous du texte - champ de coche en dessous du texte

Size

Une zone de liste déroulante contenant des tailles de champ prédéfinies (3,5x3,5 4x4 4,5x4,5 ou 5x5 mm).

Line width

Fixe la largeur des bordures de champ (varie entre 0,4 et 0,8 mm).

Standoff

Fixe l'espace entre le champ de coche et le texte descriptif (varie entre 2 mm et 7 mm).

Color

Sélectionne une couleur de bordure de champ dans la zone de liste déroulante.


Boîte de dialogue Propriétés : date

Boîte de dialogue Element Properties : Date

Élément

Description

Date format

Définir le format de date :

  • JJ.MM.AAAA
  • MM.JJ.AAAA
  • AAAA.MM.J

Digits in year

Indiquez le nombre de cellules pour enregistrer une année :

  • 2 (2 cellules seront disponibles)
  • 4 (4 cellules seront disponibles)

Separator

Sélectionnez un séparateur pour enregistrer les dates :

  • .
  • /
  • -

Color

Sélectionne une couleur de séparateur à partir de la liste déroulante*.

Tip text

Sélectionne une couleur de conseil. Le conseil sera écrit dans le Champ de date du formulaire : chaque lettre du conseil sera placée dans la cellule correspondante.

Color

Sélectionne une couleur de conseil dans la liste déroulante*.

Font

Sélectionne une police de conseil.

Auto size font

Sélectionne automatiquement une taille de police pour les conseils, en fonction de la hauteur des cellules de caractères du champ.

* : la palette des couleurs disponibles dépend du type de votre document (noir et blanc ou couleur).

Remarque : vous pouvez acheter des polices additionnelles pour plusieurs langues sur : http://www.paratype.com/shop/.


Boîte de dialogue Propriétés : Marquage

Boîte de dialogue Element Properties : Marking

Option

Description

Marking type

Fixe le type de marquage pour le texte :

  • Lettres dans des cadres séparés en pointillés

  • Lettres dans des cadres séparés

  • Lettres séparées type peigne

  • Texte encadré avec lettres séparées type peigne

  • Lettres encadrées

Cell size

Fixe la taille des cellules de caractères :

  • Normal – taille de cellule standard (4x5 mm)

  • Grand – taille de cellule maximum (5x6,5 mm)

  • Petit – taille de cellule minimum (3x4 mm)

Bold marking line (pour tous les types de marquage sauf pour les Lettres dans des cadres séparés en pointillés)

Met en gras le cadre des cellules.

Marking color

Sélectionne une couleur de marquage dans la zone de liste déroulante.

Multiple rows

Ajoute des lignes multiples au champ d'entrée. (Uniquement pour l'élément champ d'entrée).


Boîte de dialogue Propriétés : astuce

Boîte de dialogue Element Properties : Tip

Élément | Description
Text | Définit le texte du conseil. Le conseil sera saisi dans le champ d'entrée du formulaire : chaque lettre du conseil sera placée dans la cellule correspondante.
Color | Sélectionne une couleur de conseil dans la liste déroulante*.
Font | Sélectionne une police de conseil.
Auto size font | Sélectionne automatiquement une taille de police pour les conseils, en fonction de la hauteur des cellules de caractères du champ.

* : la palette des couleurs disponibles dépend du type de votre document (noir et blanc ou couleur).

Remarque : vous pouvez acheter des polices supplémentaires et une prise en charge de polices multilingues sur www.paratype.com/shop/.


Boîte de dialogue Propriétés : Champ relié

Boîte de dialogue Element Properties : Linked Field

Option | Description
Champ relié | A chaque fois que vous créez un élément sur votre formulaire, un champ est créé, par défaut, dans la structure du document à laquelle cet élément est relié. Pour relier votre élément à un autre champ du même type, sélectionnez le nom du champ dans la zone de liste déroulante.


Boîte de dialogue Propriétés : Texte

Boîte de dialogue Element Properties : Text

Élément | Description
Text | Le texte à l'intérieur de l'élément.
Font | La police utilisée pour le texte à l'intérieur de l'élément. Pour modifier la police, sa taille et son style (italique, gras, souligné, etc.), cliquez sur le bouton Change … puis, dans la boîte de dialogue Police qui apparaît, sélectionnez la police voulue ainsi que sa taille et son style.
Font color | Sélectionne une couleur de texte à partir de la liste déroulante.
Word wrap | Dispose les lignes du texte sans couper les mots.

Remarque : Vous pouvez acheter des polices supplémentaires et la prise en charge des polices multilingues sur www.paratype.com/shop/.


Boîte de dialogue Propriétés : Ligne

Boîte de dialogue Element Properties : Line

Option

Description

Width

Fixe la largeur de ligne (varie entre 0,3 mm et 6 mm).

Style

Fixe le style de la ligne :

  • Tirets

  • Pointillés

  • Plein

Color

Sélectionne une couleur de ligne dans la zone de liste déroulante.


Boîte de dialogue Propriétés : Élément

Boîte de dialogue Element Properties : Element

Option | Description
Type | Type de l'élément.
Position & Taille |
Left | Définit la largeur de la marge de gauche.
Top | Définit la largeur de la marge supérieure.
Width | Définit la largeur de la page.
Height | Définit la hauteur de la page.


Boîte de dialogue Propriétés : Identificateur

Boîte de dialogue Element Properties : Identifier

Option

Description

Type

Définit le type d'identificateur de formulaire :

  • Code barre uniquement

  • Code barre à chiffres

  • Chiffres uniquement

Barcode type

Sélectionne le type de code barre si le type d'identificateur est réglé sur Code barre uniquement ou Code barre à chiffres et si l'option Custom value est sélectionnée.

Types de code barre disponibles :

  • EAN13
  • EAN8

Si l'option Custom value n'est pas sélectionnée, le Barcode type sera grisé. Le type de code barre EAN13 sera utilisé.

Orientation

Fixe l'orientation du code barre :

  • Horizontal
  • Vertical

Value

La valeur de l' Identificateur

Les valeurs de l'identificateur ne peuvent être modifiées que si l'option Custom value est sélectionnée. Pour EAN13, les valeurs personnalisées doivent contenir 12 chiffres et pour EAN8 les valeurs personnalisées doivent contenir 7 chiffres. Des valeurs plus longues ou plus courtes ou des caractères autres que des chiffres sont interdits. Pour EAN13, un chiffre de contrôle supplémentaire est ajouté au début de la chaîne (en dehors du code barre lui-même) et pour EAN8 un chiffre de contrôle supplémentaire est ajouté à la fin de la chaîne à l'intérieur du code barre.

Si l'option Form identifier ou Page identifier est sélectionnée, l'identificateur se verra automatiquement affecter une valeur lorsque le formulaire sera publié. Avant qu'un formulaire soit publié, il possède un statut Modifiable et il n'y a pas encore d'identificateur affecté.

Form identifier

Utilise un élément comme identificateur de formulaire.

Page identifier

Utilise un élément comme identificateur pour la page actuelle.

Custom value

Permet des valeurs personnalisées pour un identificateur. Cette option n'est pas disponible pour des identificateurs à Chiffres uniquement.


Boîte de dialogue Propriétés : Nombre

Boîte de dialogue Element Properties : Number

Élément

Description

Decimal places

Sélectionnez le nombre de chiffres après la virgule pour enregistrer les nombres décimaux.

Separator

Sélectionnez un séparateur pour enregistrer des nombres :

  • .
  • /
  • -

Color

Sélectionne une couleur de séparateur à partir de la liste déroulante*.

Tip text

Sélectionne une couleur de conseil. Le conseil sera écrit dans le champ numérique du formulaire : chaque lettre dans la cellule correspondante.

Color

Sélectionne une couleur de conseil à partir de la liste déroulante*.

Font

Sélectionne une police de conseil.

Auto size font

Sélectionne automatiquement une taille de police pour les conseils, en fonction de la hauteur des cellules de caractères du champ.

* La plage de couleurs disponible dépend de votre type de formulaire (noir et blanc ou couleur).

Remarque : Vous pouvez acheter des polices supplémentaires et la prise en charge des polices multilingues sur www.paratype.com/shop/.


Boîte de dialogue Propriétés : Image

Boîte de dialogue Element Properties : Picture

Option

Description

Size mode

Modifie la taille de l'élément dans un des trois modes :

  • Clip – modifie la taille de l'élément mais pas celle de l'image ni ses proportions.
    L'image elle-même ne peut pas être agrandie dans ce mode.
    Si l'élément devient plus petit que l'image, une partie de celle-ci sera invisible sur le formulaire.

  • Étirer – modifie la taille de l'élément et rétrécit ou agrandit l'image en fonction de la taille de l'élément. L'image entière sera toujours affichée, mais ses proportions ne seront pas conservées.

  • Zoom – modifie la taille de l'élément et réduit ou agrandit la taille de l'image proportionnellement à celle de l'élément. L'image entière sera toujours affichée et ses proportions seront conservées.

Alignment

Aligne l'image à l'intérieur de l'élément :

  • Supérieur gauche – place l'image dans l'angle supérieur gauche de l'élément.

  • Supérieur droit – place l'image dans l'angle supérieur droit de l'élément.

  • Centre – place l'image au centre de l'élément.

  • Inférieur gauche – place l'image dans l'angle inférieur gauche de l'élément.

  • Inférieur droit – place l'image dans l'angle inférieur droit de l'élément.

Source

Indique le fichier image source.

Pour indiquer le fichier source à partir duquel l'image sera rechargée :

  1. Cliquez sur « … ».

  2. Dans la boîte de dialogue qui s'affiche, recherchez le fichier contenant l'image que vous souhaitez ajouter au formulaire.

Les formats d'image suivants sont pris en charge :

  • Fichiers Bitmap (*.bmp)
  • Fichiers DCX (*.dcx)
  • Fichiers PEG (*.jpg; *.jpeg; *.jfif)
  • Fichiers PCX (*.pcx)
  • Fichiers PNG (*.png)
  • Fichiers TIFF (*.tif; *.tiff)
  • Fichiers Windows Enhanced Metafiles (*.emf)


Boîte de dialogue Propriété : Tableau

Boîte de dialogue Element Properties : Table

Option | Description
Cell spacing | Fixe la distance entre les cellules du tableau.
Use first row as header | Si cette option est sélectionnée, la première ligne contiendra les noms des colonnes.


Boîte de dialogue Options : Affichage

Option | Description
Interface language | Sélectionne une langue de l'interface. Cette langue sera utilisée pour tous les messages du programme, titres des boîtes de dialogue et options de menu. Pour valider les modifications, cliquez sur OK et relancez ABBYY FormDesigner 8.0. Par défaut, la langue de l'interface est identique à celle que vous avez sélectionnée lors de l'installation.
Grille |
Show grid | Affiche la grille. L'option n'est pas cochée par défaut.
Width | Définit la largeur des cellules de la grille en mm. La valeur par défaut est 2 mm.
Height | Définit la hauteur des cellules de la grille en mm. La valeur par défaut est 2 mm.
Snap to grid | Aligne l'angle supérieur gauche des éléments récemment créés sur le nœud de grille le plus proche. En déplaçant un élément de formulaire, il sera également aligné sur le nœud de grille le plus proche.
Couleur | Modifie la couleur des marges, des règles et de l'arrière-plan du texte édité tel qu'affiché à l'écran. Dans le volet Items, sélectionnez un élément et cliquez sur le rectangle de couleur en dessous. Dans la boîte de dialogue Couleur qui s'affiche, sélectionnez la couleur de votre choix.
Show ruler | Affiche/masque la règle.
Show margins | Affiche/masque les marges du formulaire.
Éditeur de texte |
Tab width | Définit le nombre d'espaces qui sera inséré dans l'éditeur de texte lorsque vous appuierez sur la touche Tab.


Propriétés de paragraphes

Les propriétés des paragraphes principaux peuvent être affichées dans la boîte de dialogue Paragraph properties (menu contextuel Texte en mode édition> Paragraph properties).

Pour voir la boîte de dialogue Paragraph properties

Élément | Description
Général |
Alignement | Aligne le texte avec le bord de gauche ou de droite, centre le texte ou l'adapte à la largeur de la page.
Retrait |
Avant le texte | Configure le retrait à gauche.
Après le texte | Configure le retrait à droite.
Espacement |
Avant | Configure l'espace avant le paragraphe.
Après | Configure l'espace après le paragraphe.
Line spacing | Modifie l'intervalle entre les lignes de texte.